Hoot - Introduction

    • Introduction
      • Background
      • About Lexicons
      • Looking Ahead
      • Contact
    • Using Hoot
      • Windows
      • Ribbon
      • Searching
      • Slide Shows
      • Quizzes
      • Context Menus
      • Word Judge
    • Searches
      • Search Summary
      • Combination
      • Predefined
      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Next

Welcome

Welcome to Hoot! This is the help file/website for Hoot, a word game study tool. These pages cover version 3 of the program, also known as Hoot Lite, and will also make up the content in the program's future help file. The help pages for version 1 have been archived in the folder v1help, and version 2 can be found in the folder v2help.

Hoot can be used to study words for playing Scrabble™, Words with Friends™, and other word scoring games. Word searches in Hoot are based on the currently selected lexicon, which stays resident in memory, so it is quite fast doing searches. Hoot also provides the optional display of hooks in a modified list display and a multi-column query showing probability, optimum playability, and definitions. In Query you can specify up to 8 criteria for a search.

Hoot also includes a slide show mode that will display each result individually and allows you to rotate slides manually or using a timer. The slide show also has additional displays for the selected word, including hooks, anagrams, extensions, and others. There is also a slide show mode for quizzes. It shows a brief definition for the selected word if available. The remaining pages of this help file will elaborate on other useful features of the program.

Getting Hoot

Hoot is being distributed free of charge. You can download the latest (and some earlier) versions from the main Hoot downloads page. Other downloads include other lexicons, tile fonts, and definitions. Note that the actual program may include many features that are not mentioned in the current help file, or the help site may be updated a few days prior to a new version release. See the change log for changes, and note when the help file and help site have been updated.

Hoot is a copyrighted program, but you are welcome to share it with others, by either sharing the web link or distributing the necessary files for installation.

Installing Hoot

Install Hoot by executing the downloaded msi. If you don't have Administrator privileges, see Tech Rebels below for an alternate method. There are no options when installing. The installer creates a Program Files folder for Hoot containing the executable, database and supporting files, and then creates Start menu selections.. When first run, Hoot creates the folder "Hoot" in your My Documents folder, and the following subfolders: Temp, Lexicons, Lists, Searches, Backups, Challenges, then Hoot copies the database to the Hoot folder. The database contains the lexicons being used. You can rename or copy the database to any user folder and select that database from Hoot settings. This folder is the default for saving lists and lexicons. Hoot also saves a number or settings for the designated Windows user.

Hoot uses version 4.6 the .NET Framework. Most versions of Windows already have the .NET Framework. If you find that you do not have version 4.6 of the .NET Framework you can get them from Microsoft. See the download page for direct download links.

If you want to customize the lexicons in Hoot to begin with, you can install an update instead of the normal installer and then download an empty database. You can then copy the database to the Hoot User folder (C:\Users\<user>\Documents\Hoot\) before starting Hoot (recommended) or wait for Hoot to prompt for the location of the database. Then download and add the lexicon(s) you want to use.

Tech Rebels: Computer Savvy users may be able to install Hoot without using the installer. Using a msi-extraction tool, extract all of the files to your choice of folder, install the fonts provided, and you can run the program from there. This won't require administrator privileges that are required to install it to a Program Files folder and doesn't require un-installing. To use the French language resources, though, you will need to create a subfolder named fr, copy/rename "localeFileFR" to "Hoot Lite.resources.dll", and copy it to that subfolder.

Running Hoot

Running Hoot is as simple as selecting the program from the Program Files Hoot folder. In Windows 7 you would click Start > All Programs > HootLite > Hoot Lite. In Windows 10 you would click Start, open the HootLite folder, and select Hoot Lite. A Shortcut can also be created in your start menu or the taskbar. You can also select to launch the program immediately after installation.

When first run, Hoot will display a Welcome screen to help you get started quickly. With this screen you can make all of the primary selections before Hoot loads the lexicon. To add your name to the User list, select Add, type in your name, and select Add again. These options are saved when you continue. Check Use Last Position to use the Hoot program location and size that you last used. If you will rarely be changing any of these options you can uncheck the Show Welcome screen checkbox and Hoot will bypass this screen.

While running Hoot, you can usually press F1 to get access to the help file.

Getting Lexicons

Hoot only includes select lexicons. Current installations only include the Word Judge 2 lexicon used by WGPO. WJ2 is similar to OWL 3. Several other lexicons are available for download from the Hoot download page, including Words With Friends (Enable) and ODS5 (French). These include hook word and other information and can easily be imported. You can also create a lexicon from your own list of words, or compile it from publicly available resources. See Lexicon Creator for more information. You can also import lexicons shared by other Hoot users.

NASPA members can download a text file of either the official Scrabble Club and Tournament word list or the School Scrabble word list. Current links are on the download page.

Troubleshooting

Possible errors may be encountered when installing and first running Hoot. Following is a list of likely errors and their remedies. In some cases, the system will not report the exact problem, but insuring the supporting applications are installed should be your first step.

1. This version (Hoot Lite) is new. Instead of using the Access database, the SQLite database engine is used. Normally, it is installed when Hoot Lite is installed. This eliminates the errors possible in Hoot Gold. Following is a list of other possible errors and their remedies.

2. The .NET framework 4.6 is not installed:
Hoot requires the .NET framework to run. Most later versions of Windows have that framework already installed. In order to install the framework, download from the Microsoft website at https://www.microsoft.com/en-us/download/details.aspx?id=48137 .

3. The database was not copied to your user folder:
Some versions of Windows may not copy the database to your user folder. The database is "Hoot.db3" is included in the download and can be manually copied from
C:\Program Files\HootLite (or C:\Program Files (x86)\HootLite) to C:\Users\<user>\Documents\Hoot.

4. Fonts used in Hoot may not be installed:
An error message will be displayed indicating the font Hoot was unable to access. Download and install the font and try Hoot again.

5. If you get the error message that the program is not a valid Win32 application, it could be that the file is corrupted. More than likely, Hoot is not compatible with your version of Windows, i.e. it won't run on XP. I will be working on developing an XP compatible version.

If these remedies do not apply, please Contact me and provide as much information as possible, including the content of any error messages, and the most recent entries in the log file Hoot.log found in your user folder. With the many computer configuration possible, installation can be one the most challenging aspects of software development especially when there is no feedback. Outside of the the major software publishers, programmers depend on responses from users.

Getting Help

Hoot is designed to be intuitive, so you may be able to figure out how to use its basic functions by navigating the system. This help file is available, though, if you want to find a specific feature. Selecting the Help button on the main screen will show the help file. Pressing F1 on many of the screens will open the help file to that page. If you are running Windows 7 and possibly other versions of Windows and the help file shows blank pages, open the file properties and unblock. See this link on Stack Overflow. Help is also available online.

Parlez-vous français?

Hoot also supports menu displays in French, though there are many areas that are not translated yet. I'm not really fluent so pardon my French and let me know of better translations. Sometimes the French translation is longer than the English text so buttons and labels may not show all of it. In most cases you can hover over the button to see the full text. However, tool tips for most buttons, which you can also see by hovering, are in English.

The on-line help pages are also linked to Google's translator, so you can switch between English and French. As newer options are added, it sometimes takes a while before I can add French translations.

Contact

I am constantly adding new features to Hoot. Occasionally a new feature will break an existing feature and I'm not aware of it. If you find something that is not working, let me know. The sooner I can fix it, the sooner other users can enjoy the new feature. If you want to contact me about that, to request other features, or for any other reason, contact me through my blog or using the contact form.

Copyright © 2020 Dana Bell


Hoot - Background

      • About Lexicons
      • Looking Ahead
      • Contact
    • Using Hoot
      • Windows
      • Ribbon
      • Searching
      • Slide Shows
      • Quizzes
      • Context Menus
      • Word Judge
    • Searches
      • Search Summary
      • Combination
      • Predefined
      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Background
  • Next

About Hoot . . .

Hoot is a relatively new study tool for Scrabble™ and other word game enthusiasts inspired in part by the study tool Lexpert. Since Lexpert had not been updated for the latest word lists, I decided to design a tool that would replace the functions that I enjoyed using, and add a few others. Although there are other useful tools, they didn't have what some of the things I wanted, and the ability to customize what it had. Furthermore, developing my own application means I decide what limits it has for my purposes.

About Me . . .

I am a programmer with experience with numerous languages and most of my programming was before I got a degree in the computer science field. I entered the field in the 1980's, about the time the PC (personal computer) was first made readily available. Since then, I've written in various versions of Basic, Visual Basic, C, Pascal, Java, and other languages. I also design websites and am familiar with HTML, CSS, PHP, Perl, ASP.NET, Javascript, and others. I've also done a lot of other computer type things. I didn't get a computer degree until 2012.

Before starting this project, C# was one of the languages I was least proficient in. I decided to develop this application in C# after I didn't get a C# programming job I had applied for. At the time I was just getting more interested in word games so I decided to make this my C# training project. I also have a degree in accounting, having written a tax accounting book or two, and do some graphic design. You can see my website, blog, and outdated resume, at www.tylerhosting.com/dbell/ and send me an email using one of the contact forms. For recreation, I also enjoy playing disc golf.


Hoot - About Lexicons

    • Using Hoot
      • Windows
      • Ribbon
      • Searching
      • Slide Shows
      • Quizzes
      • Context Menus
      • Word Judge
    • Searches
      • Search Summary
      • Combination
      • Predefined
      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • About Lexicons
  • Next

About Lexicons

Hoot now includes the Word Judge 2 lexicon, the official WGPO word list. The Word Judge lexicons contain words up to 21 characters in length and is also suitable for Super Scrabble® games. In order to show words longer than 15 characters in Hoot select the word length in Tools > Options. Thanks to Maliha Mendoza Mahmood and the The Word Game Players' Organization (WGPO) for allowing me to include the Word Judge lexicon in Hoot. Other lexicons can be found in downloads, including the Enable word list, which is what Words with Friends is based on. Yawl is the word list used by WordSmith, another word game. After installation, you can select the lexicon to use at the bottom of the main program window.

You have the ability to add custom lexicons as well as import and export lexicons. See Lexicon Creator for more information about creating and importing lexicons. See Lexicons for information about exporting lexicons. The import/export functionality includes the words as well supporting indexes for hooks, probability, and other details. Note that some lexicons may be copyrighted and should not be shared. Other than the initial lexicon provided with the installation, lexicons are not automatically added to the Hoot database with an update so you will need to create or import them.


Hoot - Looking Ahead

      • Searching
      • Slide Shows
      • Quizzes
      • Context Menus
      • Word Judge
    • Searches
      • Search Summary
      • Combination
      • Predefined
      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Looking Ahead
  • Next

Looking Ahead

This is where I share what new features I may add to Hoot. Hoot version 3 is out and I've succeeded in converting to a SQLite database. Following are some things I haven't yet implemented.

In French, the types of word studies a player would do is different and French has a different set of prefixes and suffixes. With the expanded string of extensions possible in French due to conjugation, more involved extension study may be more useful. Instead of studying words with high value tiles (JQXZ), in French you would be studying JKQWXYZ instead. J and Q are 8 points while the rest are 10 points. I now include the ability to identify prefix/suffix by language, but have not, include language stems for French, and support for different types of searches for French and other languages.

The Hoot user identification only supports managing known words and the checklist. User note taking may be added to that and I am looking at whether Hoot needs to maintain more user information. I'm also considering saving searches (search type, letters, filter, userid) in the database in addition to being able to save searches to a file. But, I don't want it to become cluttered or confusing.

Lexicon and subject lists probably needs more automated support. I am considering saving the detailed information with lexicon and subject list exports, and the ability to Import lexicons from a compressed file.

In version 3.x you can now add words to a leicon, but It would be nice to be able to fully update lexicons after new words have been added, and it may not be that difficult, but since it won't often be needed I keep putting that off.

Then there the new incentive to include a cardbox system that will support study of lists.

You can get a glimpse of some things I'm actually working on if you log into Hoot with the username 'Dana' and then look under the Development tab.

I mention all of this for two reasons, to let you know what changes I'm anticipating, and to get your feedback on what else Hoot needs to have. Of course, many of the new features were spontaneous additions. If you have an idea, contact me.


Hoot - Using

      • Context Menus
      • Word Judge
    • Searches
      • Search Summary
      • Combination
      • Predefined
      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Using Hoot
  • Next

Using Hoot

The new version of Hoot uses a multi-document interface and a ribbon to simplify word study. With the use of the multi-document interface (MDI), most child windows are contained within the program window. With the ribbon many of the options previously found within each individual search screen are on the ribbon. Switching display format, and sorting of a displayed list is done by clicking a button on the ribbon. Additional options have also been provided for some features. A review of the ribbon tabs can be found on the Ribbon page. Following is a quick overview.

Using the ribbon, users select one or more of the options in the first section of the ribbon. The first three options are the primary search screens. Combination search is the screen that allows you to select a search type, set some of the other parameters and execute a search. You can also filter by selecting prefixes, suffixes, or based on available letters. In Predefined Lists you can get an assortment of lists that are common for general study, including Vowel Heavy words, words with Q but not U, words with double I's, High Fives, and others. The third option is the Query where you conduct a search by adding one or more criteria to the form.

After using one of these screens, you can make choices on the ribbon for different displays and sorting options. Two control keys that you may find useful in most search screens are the F1 key that opens help to the relevant topic, and the ESC key that either clears the search box, closes the context menu display, or closes the screen. As functions are added and changed, the help may not be in sync.

Another type of window is the slide show. To open a slide show you first do a search and then select one of the slide show options on the ribbon. Within the slide show you can then select to show a smaller slide show, or expand each word with a subsearch. There is also a quiz slide show option. There is also a Word Judge screen that can be locked by a password, and context menu search screens. Word Judge is most useful in word game tournaments and can also be run independently by adding /judge on the commandline or using the Word Judge shortcut provided.

In many cases you have the option to open the search or slide show in a separate independent window. There are two ways to do this:

  • Control-click on the search or slide show.
  • If the window is already open, select it and Select Float Window in the Window panel.

This window will not respond to Ribbon commands, so you can minimize the main window if you want. In place of this, the search window will have a builtin menu of options.

Getting Started

One of the first things you will want to do before seriously using Hoot is select or create a lexicon. Select a lexicon from the status bar at the bottom of the main program window. Hoot is distributed with a limited number of lexicons to minimize the size of the program. If your lexicon doesn't exist in the list you can create or import one into the database from the Lexicons tab. Some lexicons are downloadable from the Hoot website.

Popup Searches

One feature of most searches is the ability to bring up a context sensitive window to search for any word in the list. Select a word and right click on your mouse to view the options. These popup windows have no search capability, but they do respond to the display and sort options, and have their own popup option. Read more about this in Context Menus.

Navigating Result Lists

When results are displayed in one or more boxes, you can page through any of the lists using navigation keys, Home, Page Up, Page Down, End, and any arrow key, but you do have to click a word in the list first.

Resizing Windows

The windows default to a set size and position, but most windows in Hoot can be resized to suit your needs. When resized, elements on the windows may either move or expand/contract with the size of the window. This may be desired if you have customized the display and use large fonts for the display or want to see the complete list. This includes the popup windows for selected word searches. You also have the ability to cascade or tile all of the open windows.


Hoot - Ribbon

      • Search Summary
      • Combination
      • Predefined
      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Using Hoot
  • Ribbon
  • Next

Ribbon

Hoot uses a MDI/Ribbon interface. What that means is that all search windows are contained within the program window instead of being scattered across the desktop as in the previous interface. Additionally, there is a ribbon at the top of the program menu where you select options for the current search window and results. With this interface, some of the buttons on the individual search windows have been removed. Although not visible to the user, many of the search screens are based on a standardized format, so changes to those forms are quicker and more uniform. This is a quick review of the ribbon interface.

The ribbon interface was introduced by Microsoft Office a decade ago and has been popular in other software packages since then. On the ribbon there are multiple tabs. As users select a tab, the "panels" below change to show the options for that tab. As the program window size changes some of the options will be compressed and show only the icons. You can hover over most icons to see what the icon does. Start that search by clicking on that icon.

Within each panel some of the options selected such as Display or Sort will apply to the active window below. Thus, after executing a search using the Combination Search, you can click on the Score Sort option and the Hooks Display option and the list will sort the list and display it with front and back hook letters. Then you can click on a Slide Show option to open the list in slide show mode. In Hoot Lite 3.x, there are currently only three tabs: Search, Tools, and Settings. Lexicon operations are now under the Settings tab.

At the top left of the program window is the Orb, and other options including the Help button, and buttons to open the user's checklist, the lookup screen, and the user's search history. The search history lets you see what searches you've made using the Combination window. You can double click on any one of them and the search is executed again.

Clicking on the Orb opens the program menu which shows a few options and a Recent Items list. There is also a Window button in the top right corner. Selecting this button will show all of the child windows in the program and allow you to select one to bring to the front. The names displayed often reflect the search parameters of the last search in that screen.

Search Tab

Searches

The Search options are what opens a search window to conduct a word search. You can see a list of all the searches available under Searches. You can open multiple windows at the same time and open the same search windows multiple times. At the bottom of the main window, the currently selected lexicon is shown. Until changed, every search will use this lexicon. After a search is conducted the search window will show what lexicon was used for the search. For example, you open a Combination search window and search the TWL98 lexicon for all two letter words, change the lexicon to WJ2 and open a new Combination window to search for two letter words in that lexicon and visually compare the searches.

Word Lookup (not shown) is also available here for uncontrolled lookup of individual words and definitions. Clubs and Tournaments can use the Word Judge (under Tools) for a more controlled validation of words.

Lists

Lists are also searches you can conduct, but the words are contained in various lists. Included in lists are words for particular subjects, searches from a text file, and previously saved searches. The first two are lists that are subsequently filtered by the selected lexicon. The subject list for Currency in the TWL98 lexicon will differ from the same list in the WJ2 lexicon.

Sort

The Sort panel sorts the displayed list based on your choice. Most sorting options are self-explained. The Normal sort will sort the words by length first, and then alphabetical for each length. The Alphagram sort will sort based on alphagram, but you may also want to change the display to alphagram. End letter will sort alphabetically based on the last letter in the word. Selecting the same option a second time will reverse the sort.

Display

The Display panel controls what format the list is displayed in. With Words selected, the display shows the word list only. With Hooks displayed the display shows the words along with inner hook indicators and front and back hooks. Alphagrams shows the word with letters rearranged in alphabetical order. BAD will be shown as ABD.

The Special display is only available with a special search such as for compound words, otherwise it just shows the word. The Definition display shows the word along with the definition in the database. The Stats display shows the Word with raw score, probability, and optimum playability.

Slide Show Panel Slide Show Panel

Slide Shows

Every search can be displayed in slide show format. Current options are to display the standard slide show and a small (Tiny) slide show. See Slideshows for more information about slide shows available.

Quizzes

The Quizzes panel has several options for testing yourself on word lists. The Cardbox Quiz option displays a menu of saved cardboxes. Selecting a quiz opens the quiz in the Slide Quiz display that looks similar to the slideshows. If you have Zyzzyva installed, you can also study lists saved there.

The Slide Quiz can also be used to quiz yourself of the currently active search results. The List Quiz is used to quiz yourself on a list of words in the currently active search. See Quizzes for details on how to best use Cardboxes.

Windows

Window options change the way the windows are displayed. When a window first opens it is displayed cascaded, that is it is displayed 1/4 inch down and to the right of the currently active window. When multiple windows are displayed you can change to tile vertical, horizontal, maximized, minimized, or restore to normal size. Of course, you can also minimize individual windows. Note that when maximized all windows are maximized. There is also an option at the top right to select the window to bring to the foreground.

Tools

The Tools tab contains the tools and settings you are likely to use most option.

Options

The Options screen allows you to define things like maximum words displayed in a list, maximum length of words to display, the tileset to use, and others. Tilesets determine the value and probability of words.

Known words allow users to manage their list of words flagged as known.

The User Editor lets you add other users to Hoot. Known Words are managed for each user in the system.

Display

The display settings modify some of the display options in individual search windows, including colors, fonts, and sizes. The color changes apply to the Hoot desktop as well.

Subject List Editor

The Subject List editor allows you to create, edit subject lists. The Category Editor allows you to edit the categories you can use when creating/editing Subject Lists.

Compare Lexicons

Compare Lexicons allows you to compare two of the lexicons in your database.

Word Judge

Word Judge is available here as well as from the Orb menu and as a commandline option.

Other tools available to users include the Checklist, Lookup, and History. Select those at the top of the window next to Help. The checklist is where you add items for your study plan and check them off as you complete them. With Lookup you can find if a word is valid or see it's definition. The History button lets you see past searches from the Combination search screen.

Settings

Databases

Databases allow you to select, copy, backup, compact, and delete Hoot databases. Most users will not used multiple databases, but this is useful for making backups of the database when upgrading Hoot. Note that Hoot doesn't delete databases when it is uninstalled.

Lexicon Administration

The lexicons tab includes panels for options to create lexicons, add words to a lexicon, or configure/edit the details of a lexicon. Within the Edit Details option you have the options to configure new lexicons as well as import and export lexicons.

The Lexicon Creator is the entry point for creating or importing lexicons into Hoot.

The Lexicons button is where the details of the Lexicon are modified.

Definitions

The lone tool in this panel is used to add definitions to the system for a specific language. See Add definitions.

Prefix/Suffix Editor

Edit prefixes and suffixes displayed the combination search window with the Prefix/Suffix editor. Like definitions, the 'fixes' are linked to a specific language.

Note: Several settings are stored in the Windows User configuration, including display settings and the location of the database being used by Hoot.

Status Bar

The main program window has a status bar that provides information about the basic operation of the program and some setting options. The Language drop down allows you to change the language being used. Selecting a new language will also change the display of most of the open search screens.

The Lexicon drop down lets you change the lexicon being used. Currently open searches will keep the lexicon setting that was used to execute that search. Subsequently used searches will use the new setting.

The center of the status bar will provide information about actions that the program is taking, usually limiting your ability to take any other action. In particular, it will show when a new lexicon is being loaded. The current version of Hoot is shown on the right along with the database version. The currently logged in user is displayed on the right and clicking on that name will open the Login screen.

The Ribbon button in the far right hand corner shows/hides display of the ribbon.

Floating windows

You can do some searches without using the ribbon. With Hoot Lite 3.x you can also Control-click on an option to open it in an independent (floating) window not linked to the ribbon. You can then minimize the main window and work with the search window you opened.

The floating window contains a menu with sort and display options that mimic the functions of the ribbon.


Hoot - Searching

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Using Hoot
  • Searching
  • Next

Searching with Hoot

There are many types of searches you can do in Hoot. Many of them are accessible from either the Combination Search or the Query. Others are available in specialized search screens. See the complete list of searches available in Hoot. If you prefer a search screen that is more like Zyzzyva, see the Query screen.

The Combination Search Screen

Most search screens look the same, with an entry box, a search button(s), and an assortment of options. After searching for a set of words you can reformat the display, sort, or choose to view a slide show. You can even do a popup search of one of the words in the list. An exception to this rule is the Query window. The Query allows you to specify up to 8 criteria when executing a search.

Display and Sort Options

Most windows also respond to the display and sort options available on the ribbon. The Hook display option will display the letters that can be added in front or behind the word to form another word. Words may also show a a bullet in front or back of the word if the letter can be subtracted from the word to form another word. In the Query window, you can sort by clicking on a column header and you can even move columns around.

Filter

In some search screens you can include filters as a part of the search. For example, in Combination searches you can limit the results by prefix, suffix, minimum and maximum number of letters, and enter a set of letters and continually filter the list by what is in that filter. In the Query screen filtering is done by adding more criteria to the search. There isn't a rack filter, per se, but selecting subanagrams as the final criteria operates the same way.

Slide Shows

Searches can also be shown in Slide Show mode by selecting the type of show from that section of the ribbon. Slide shows will display the words individually in a separate window, and allow showing other searches of selected words. One of the best study techniques available in Hoot involves using the Slide Show and the subsearches there. For example, you can start with all of the four letter words containing a J. In the Slide show you can then view the anagrams, hooks, or extensions, etc for each of those words. The Stems screen has a special search that shows the stem list with blank anagrams for each stem. Read more about this in Slide Shows.

Quizzes

Hoot has two quiz options. You can quiz yourself using a Quiz list recall or a Quiz Show from any context menu (right-click). The Recall simply tests you on a list of words. The Quiz Show will open a slide show that queries you on words in a subsearch. For example, after displaying the Top 6-letter stems you can test yourself on the 7 letter words (blank anagrams) that can be made from each stem. There is also two different answer response modes. Single line will tell you immediately if the answer is correct. The multi-line entry will wait until you click to Grade the quiz.

Sorting

The lists are generally displayed first by length and then alphabetically. That is what I consider to be a normal sort. Several other sort options are also available from the ribbon. You can sort straight alphabetical, by probability, by score, by alphagram, and by the last letter of the word. When a sort option is selected a second time, the sort is reversed.

Context Menu

A context menu is available from most screens, including itself. With it you can generate results based on the selected word which will be shown in a separate popup window, or simply open the results in a separate popup window while you continue to execute other searches. You can also do things with the complete list like copy or save. The Combination window will even let you save or load searche parameters. Read more about context menus in Context Menus.

Floating Windows

In many cases you have the option to open the search or slide show in a separate independent window. There are two ways to do this:

  • Control-click on the search or slide show.
  • If the window is already open, select it and Select Float Window in the Window panel.

This window will not respond to Ribbon commands, so you can minimize the main window if you want. In place of this, the search window will have a builtin menu of options.

Resizing

As you use Hoot you may also discover another feature. As the search screen windows are resized, the list and controls respond to the size, so you could make the list a long skinny one to see more words at once, or a shorter one to save screen space. In addition to resizing the search window the popup windows can also be resized. The ribbon also provides options to Cascade and Tile windows.

Status Bar

The status bar at the bottom of each search screen shows the status of operations as well as characteristics of the selected word or list. If a word is selected in the list, the status bar will show the current lexicon, the word index, or the word number and the total number of words, on the left. On the right are shown statistics for the word. Currently, it will show the Tile Set, the raw score based on the current Tile Set, relative probability, and optimum playability. The relative probability is the probability in relation to other words of the same length and normally ranges from 1 to 100.

Note that the probabilities are based on drawing from a full bag of tiles. The only time that really happens is when the first player draws his 7 tiles. After that, probabilities will vary depending on the tiles actually left in the bag.

Saving

In Combination searches, you can save the parameters of a search to a file and then reload the search later. Using the context menu select either Save Search or Load Search. Searches saved this way are also added to the Recent list in the main (Orb) menu. You can also save the words in a search to a file and view that later as well, or share that list with others.


Hoot - Slide Shows

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Using Hoot
  • Slide Shows
  • Next

Slide Shows

Each result screen has an option to show a slide show of each individual words in the list. Most of your study time may be spent on this screen. This is populated by searches. You can navigate the list one word at a time. The list can be sorted by length, first letter, raw value, or probability. Raw value is not necessarily true value since in reality only one Z would be worth 10 points. When played, the others are blanks with no value.

Probability is calculated using statistical combinational probability and ranked 1 to 100 for a relative probability number. Each length of word is ranked separately. The least probable word would given a value of 1, while the most probably word would be given a value of 100.

Note: This is not the same as used by Lexpert. Lexpert had AEON at 25% probability, although you do not have a 1 in 4 chance of selecting those letters from the bag. In this case, AEON would be 100.

In slide show you can navigate to next, previous, first, or last word in the list. You can also Select the item in the list that you want to go to. Select opens up a window with all of the words and you can click on the word you want to go to.

Display Modes

The slide show has three different "modes" available, word, subsearch, and hooks. It opens in the standard word mode, where words are displayed along with navigation. In order to display subsearches or hooks, use the Search Type menu at the bottom. When selected, the screen is expanded to accomodate the additional lists. The screen can be expanded further to show longer lists of anagrams if necessary.

In Hooks mode, the slide show is accompanied by boxes displaying front hooks on the left and back hooks on the right. For other search types, there is a single subsearch box displaying the appropriate subsearch. Subsearches include Anagrams, Subanagrams, Superanagrams, Hooks, Anagram Hooks, Extensions, Subwords, Blank Anagrams, Transpositions, Misspells, and French Conjugation. As you navigate through the primary list, the subsearch boxes are updated automatically. There is also an option to see subsearch Word results in multiple columns. For word displays you can select the Multi column checkbox and use the width spinner to control the spacing. Generally, set the control based on the number of letters in the word. Hook displays will use the single column display.

There are First, Previous, Next, and Last buttons, but you can also use the Select button to go to a specific word in the primary list. The Hooks button enable you to show only the word, or the word and the hooks for each word in the subsearch. The alphagrams button will toggle the display of word or alphagram for the primary word. The alternate will be shown above the tile display. The normal display will show the word with the alphagram above it. The stats show will correspond to the selected word in the subsearch list, or to the primary word if no word is selected.

The standard slide show screen is bound by the program window like other screens. If you want to be able to show only the slide show while hiding the program window, select Floating Slide show from the ribbon.

Tiny

Tiny is simply a smaller version of the slide show that also floats. I often put it in the top left corner of the screen and let it run. It has the timer, sorting options, and selector that is in the basic show. Not only does it display smaller, you can squeeze and expand it until it shows only the words in the slide show. You can also check the "Top" box to keep the window on top of any other windows.

Sorting

A drop down window in each slide show allows you to sort the words in the list. The selection is a toggle so selecting one sort type twice will reverse the direction of the sort. This is for the main words, not the subsearches.

Stem Study

The slide show is a particularly useful tool for studying Bingo Stems. There is a shortcut button on the Stems search that starts the slide show in blank anagram mode. This slide show will display that list of stems one at a time with the blank anagrams as the results for each stem.

The list may include, for example, the 6-letter word PRAISE as one item in the list of Top 6-letter stems. It will display the stem and the blank anagrams for that word. In the current lexicon PRAISE has 31 7-letter words that can be formed by adding a letter. This slide show also has a hook display mode, showing the hooks for the 7-letter words. Not only can you navigate within the anagram list, you can expand the window to show a wider or longer list of words.

The stats show will correspond to the selected word, or to the stem if no word is selected. If the stats show a value of 0 for probability then the stem is not a valid word in the selected lexicon. The one feature not available in the slide show for stems is the ability to mark words as known.

Known Word Manager

One of the problems with studying lists of words is that often you know many of the words in the list. In Hoot, the main slide shows allow users to flag a word as being known. When the word is being displayed, you can click the box next to "I know this word", and Hoot will remember that. That memory applies to the word, not just the word in that lexicon.

The check box next to "Hide Known Words" will then hide words that you have flagged as being known. If you check a word as being known while "Hide Known Words" is active, Hoot will immediately hide that word and go to the next word not marked as being known. This is similar to other programs that allow you to delete a word in a custom list, except that you realize the word isn't actually being deleted, just hidden.

Known words are saved in Hoot for the selected Hoot user and apply to all lexicons in that database. If you want to track known words in different lexicons, you can start over on your word studies by using a different user name, or create a new database. Create new user names in Tools. The User Editor also has a tool that list all known words and enables you to clear all known words for the current user.

Timer

All slide shows have an optional timer that you can use to display one word at a time. When set, There is also a timer you can set to rotate through the word automatically. Simple set the interval and press Start. The button will then change to a stop button. The progress bar is now only visible when the timer is active.

While the timer is active you can still use Select to go to a different place in the list. The timer will pause while you are in the select screen. It will also pause when selecting a new subsearch option.I know this word and Hide Known Words buttons are also still functional when the timer is active. The timer will stop when you get to the end of the list. If you want the timer to start over after the end of list check the Loop checkbox.

Note: For anagram and hook displays, the timer currently only rotates between each word or stem, rather than after each anagram is shown as is done in programs like Lexpert.


Hoot - Quizzes

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Using Hoot
  • Quizzes
  • Next

Quizzes

Hoot has three quiz options. Two of the options, Quiz Show and List Recall, are available after doing a search. Almost any search can be quizzed. The third option is the Cardbox quiz, which quizzes on previously saved words or lists. Words are added to the cardbox system from the context menu in the search results.

All three quizzes have two test modes. There is a single line answer box and a multiline answer box. Enter answers in the small box one word at a time to get feedback after each answer showing correct or incorrect. The feedback doesn't show missed items. Missed items are not shown until the quiz is graded. Entering words directly in the larger box only provides feedback when graded. Once graded, your answers will either be correct, missed, or incorrect (not in the list) and will be displayed in separate list boxes. Words in the list not included in the answers are in the Missed box.

Cardbox Quiz

The cardbox quiz is a method where items are moved from numbered boxes based on successful answers. As the items are moved, the frequency of quizzes is decreased. The Hoot cardbox uses concepts of the Leitner study system and includes some features available in the Zyzzyva system. Hoot even supports quizzing from Zyzzyva and Collins Zyzzyva databases if the same lexicon is present in Hoot.

Saving to a Cardbox

A cardbox file can be created by searching and then using the context menu option Save to Cardbox. This clip shows a search for 7 letter consonant dumps. The user has an option of saving to Anagrams, Hooks, As Stems, or List. Anagrams and Hooks are self-explanatory to Scrabble users. As Stems is a quiz type where the user is presented with the word plus a blank and asked to anagram that. Beginners study stems like TISANE using this method. The list quiz is a separate collection of words.

List Cardboxes

When selecting List as the type of cardbox to create, a dialog box asks for information about the list. Title and Description are self explanatory. There are multiple quiz type options available. The most common is the Anagram quiz, where users build words from the alphagram of the term. Some of the others could be useful, or not so much. When selecting BlankAnagrams, the terms are tested as stems.

The Passing Score indirectly determines when a quiz is rescheduled. The box number is determined by the relative score. For now, when you pass a list quiz it is moved to box 1 or higher. A score of 100 moves the list to box number 10. Thoughts welcome.

Taking a Quiz

Users take a quiz by selecting Cardbox Quiz from the Search tab of the ribbon. This presents a list of programs, lexicons, and quiz options. As in Zyzzyva, the cards in each box are scheduled based on box number and when previously tested. In Anagrams, a quiz will only show words scheduled to be shown. If you want to test on words that are scheduled in the future you can change the quiz date to the schedule date of the cards. Presently, although list quizzes have schedule dates you can take them at any time. If selecting a list quiz, users then select the list to quiz.

One difference between Hoot and Zyzzyva is that you can either enter words separately or in a box. Listed separately they are verified after each entry, and added to the list. The Grade button compares correct answers with your answers, and Next goes to the next word. However, Hoot examines the keystrokes so it's not necessary to use the buttons. In Single Entry mode, Hoot grades the quiz after a blank entry. In box mode, Hoot grades the quiz word after entering a blank line. Pressing Enter again goes to the next word.

Traditionally the Leitner system dictates that missed questions are moved all the way back to box 0. Instead, Hoot modifies this so that cards of missed words/questions are sent half way back, rounded down. This difference is only noticeable for box 3 and higher. For examples, box 1 > box 0, box 2 > box 1, box 3 > box 1, box 4 > box 2, etc.

Grading a list quiz

Hoot tracks the progress of each word in a list, and each list is graded at the end of the quiz. After all words have been attempted you can End Quiz to grade the quiz. This is what moves the list to the next box (hopefully), and schedules the next quiz. If you quit the quiz before finishing all the words in the list, or without grading the quiz, Hoot will ask if you want to Continue the quiz the next time you select that list.

Quizzing Zyzzyva

While Hoot quizzes are designed for Hoot, like Xerafin, I've attempted to make them compatible with Zyzzyva files. You can even select quiz cardboxes from Zyzzyva files, provided the same lexicon name is in Hoot. If it's not, you can use an alternate lexicon for the answers. If a similar lexicon is available you can simply rename it to match the Zyzzyva lexicon.

Quiz List Recall

The Quiz List Recall is a simple quiz of the words in the list. Enter your answers in the blank box to the left. In the recall quiz you can expand the window to the right to show the original list at any time. Buttons operate and the context menu applies to the original list. Press Enter in the small box to get feedback without showing missing answers. The Grade/Clear box shows/hides the results. After the quiz has been graded you can select either clear the results and continue or clear everything and retake it. Clear enables you to continue your quiz. Retake Quiz clears answers and lets you start over with same quiz.

Quiz Show

The Quiz Show is a slide show quiz that compounds the quiz options. Just like the slide show, the quiz slides show a list of words, and for each word there is a subsearch that the quiz consists of. While you can't rearrange the letters manually, you can shuffle them, arrange them by alphagram, or just show the primary word. If the subsearch is a blank anagram, the word will include a blank as well. Showing the definition for the primary word is an option you can select with the checkbox.

For example, you can search for words from 2 to 5 letters long containing the letter J in the Combination search and start a quiz show. The quiz show will show each of those words and allow you to quiz yourself using several subsearches. For example you can show a quiz for hooks or extensions for each word. The quiz does give you a hint by showing how many words are in the results. Of course, some of the options available may not be so practical. You can also press the Peek button to review the words in the quiz.

When selecting Next or some other options, the results are erased and the quiz for the next base word is shown.

Stem Study

You can enter the Quiz Show when studying stems and selecting the BA Quiz. This shows the list of stems in the Show and the quiz defaults to the blank anagrams for each word.


Hoot - Context Menus

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Using Hoot
  • Context Menus
  • Next

Context Menus

A context menu is available from practically every search result list in Hoot. Access the context menu by selecting a word in the result list and right clicking. This provides a menu of options to do additional research on that individual word, or take some action on the list as a whole.

The first option is a general review which is displayed on the right side of the screen. The other options open another (popup) window with the results. If the search has been filtered, the filtered search is used.

Available options include:

  • Anagrams
  • Subanagrams
  • Super Anagrams
  • Hooks
  • Front Hooks
  • Back Hooks
  • Anagram Hooks
  • Extensions
  • Front Extensions
  • Back Extensions
  • Double Extensions
  • Subwords
  • Blank Anagrams
  • Transpositions
  • Misspells
  • Stretches
  • Conjugate

The searches performed are identical to the normal search screens, except that entry boxes and buttons are missing.

Several options apply to the entire selected list or to the window.

  • Save List
  • Copy List
  • Save to Cardbox

The Save List options lets you save the list as a text file, and it provides four options: Words, with Hooks, Special*, and Definition. Note that currently the words saved are only the ones in the results, not any additional words that may be part of a list (like subject lists). The Save with Hooks option saves the word in Hook display format. Hook display format is a list of words along with the letters that can be used as hooks on the word. Spacing is used to align the words. If a monospaced font is used to display the list, the words would all be aligned. For example, AT would be saved as
bcefghklmopqrstvw AT et

The Copy List simply makes a copy of the list on the clipboard. The options are Words, Hooks, or Special*.

Save to Cardbox adds the words to the selected cardbox, which might include Anagrams, Hooks, Short Extensions, as Stems, or List.

Each window opened from the context menu also has its own context menu, so you could fill the screen with word studies.

* Special is the element displayed, which is usually the word. If the search was for alternate ending (ISE, IZE), for example, the Special would be displayed as
ADONISE-ADONIZE etc.

  • Open in Popup

The last option, Open in Popup, simply transfers the list to the more compact Popup window showing only the list. That window does respond to ribbon sorting, display, and slide show options.

In the Combination search, there are also options to save or load a set of search parameters.

  • Save Search
  • Load Search

Save Search will save the parameters of a completed search, allowing you to remember and come back to a previously executed search. The search file is a text file and there is a Searches subfolder in the Hoot folder of your Documents to save the searches in.

Finally, quiz options have been added to the menu in many places.

  • Quiz List Recall
  • Quiz Show

The Quiz List Recall provides a quiz for the displayed list. The Quiz Show provides a quiz display with quizzes based on the words in the displayed list. See the Quizzes section for more information.


Hoot - Word Judge

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Using Hoot
  • Word Judge
  • Next

Word Judge

There are two word judge options in Hoot, Word Judge for club and tournament adjudication, and Word Lookup for casual lookup during study.

Word Judge

Word Judge is a simple, but controlled screen to judge the validity of a word. It has been modified in later versions to more closely resemble Zyzzyva in how it operates, and what players are accustomed to.. Words are entered into the text box by the challenger and the opponent presses tab to judge the play. Also like Zyzzyva, the wording is larger and the results are displayed in bold letters.

There are some control features that you can use in Word Judge. In the upper left corner you can press the small or large A to decrease or increase the font size for words entered and the results display. Between the A's is the reset button that sets the font size to the default. This doesn't affect the instructions given. Pressing ESC after a search clears the list and lets you enter more words. Also, in the results display Red means the play in not acceptable, and Green means the play is acceptable. In complying with tournament rules, there is no indication which word is invalid.

The box where the words are entered can be scrolled if there is more than one word. Also, the entire window can be resized and the search box will expand with it. The Word Judge screen can also be locked with a password. By pressing the Lock button, you can enter a password to disable the ability to close the screen from the control box. This is low security, as Windows allows other ways to close a program, but it prevents users from instinctively closing the window when they finish using it.

There is also an optional timer to erase the screen after the designated number of seconds. To enable the timer, select lock, check the box and select the number of seconds to wait. A password is not required to enable the timer. This is to prevent other players from benefiting from observing an adjudication. For the same reason, the word judge screen is not full screen.

The Word Judge screen can be run independently of the main program by adding "/judge" on the command line. For example, enter Hoot /judge to open only the Word Judge screen. There is also a shortcut in the Hoot Start menu folder. Like the rest of the options, word judge uses the current lexicon.

Word Lookup

The Word Lookup is a quick, uncontrolled query of the lexicon for the words entered. It executes the same search as Word Judge, but it doesn't have the locking and timing features, doesn't require two people to okay, and doesn't require clearing the search box before the next search. Simply type or edit the words and click Lookup. It will indicate whether the play is acceptable or not.

This search also allows you to lookup the definitions for the words searched. Scroll to see definitions of all words in the list. When the search box regains focus or definitions are shown the acceptability comment is erased.

You can also mark and drag a list of words from another application into this search box. In this case, Hoot will look up all words, even if there are spaces separating them. Words with punctuation are not valid.

Note: You can also determine what words in a list are valid in the selected lexicon using the Textfile search. Select a file or copy/paste words in the Add My Words box. Then press Get File or Add My Words to separate the words into valid or not valid.

Word Judge Log

When using Word Judge Hoot creates a word judge log for each day word judge is used and shows the words that were challenged. The filename is YYMMDD.wds in the Challenges folder inside the main Hoot folder (i.e. "C:\Users\<user>\Documents\Hoot\Challenges\160915.wds") based on the date six hours earlier (following WHAT's standard). That way the log includes challenges made after midnight of the tournament day. If using a custom user folder, it is in the Challenges folder within that custom folder.


Untitled Document

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Home
  • Contents
  • Searches
  • Next

Searches

Search Summary

Predefined Lists

  • Beginners

  • Special Lists

  • High Plays

  • French Lists

Combination

  • Pattern Reference

Query

Other Searches

  • Subject Lists

  • Text File Lists

  • Front and Back

  • Stems

  • Letter Studies

  • Word Studies


Hoot - Combination

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Combination
  • Next

Combination

The combination search groups several searches on one screen. Users select the search to use from the dropdown box for Search Type, enter the letters in the search box, and select Search. In addition, any search can be "filtered" by the number of letters, prefix, suffix, and a rack filter of available letters. Like most Hoot search screens you can sort lists or change the display type from the ribbon.

Search Types

There are currently 21 different search options available from the Search Type drop down box although two of them are duplicates under different names.

Note: The terms for two of the searches (Blank Anagram, Anagram Hooks) may change in future versions to get in line with common terminology. In Hoot, the term blank anagram referred to an anagram of several letters plus a blank. The popular term for this is Anahook or Anagram Hook, although Zyzzyva uses Anagram Hook the same way i do.

Similarly, Zyzzyva's interpretation of a blank anagram takes a term and finds all the anagrams that can be made by changing one of those letters into a blank. You would find those in Hoot by taking a term, adding a blank, and finding the subanagrams for the length of the term.

Pattern

A Pattern search is a powerful and complicated option that is discussed on the Pattern page. Basic use might involve using '?' and '*' in the search criteria to replace one or more characters, or using 'c' or 'v' to replace consonant or vowel. Using numbers finds letters of that value.

Letter Count

The first option in this group is the search by letter count. This will bring in all words that are the selected length. This is useful for beginners studying 2, 3, or 4 letter words. For longer lists, you can select the filter option to only show words from this list that begin with a certain letter, such as all 4-letter words beginning with J.

Contains Letters

Contains Letters is used to display words that contain at least one of the letters in the search box. If you are studying all of the words containing Q or X, you enter those letters in the search box. For words containing words with both Q and X, use the Anagrams search screen, or patterns. This might also be called the "Contains any letter" search.

Contains All Letters

This search finds words that contains ALL of the letters in the search and then some. This is the equivalent of getting anagrams and including question marks in the search. This is also referred to as superanagrams. If you consider the previous query for words that contain both Q and X, if you enter QX in the search box and search for words up to 6-letters long you would get the one word that meets that criteria, EXEQUY. This option is also useful when studying stems.

Begins With

This option allows you to search for words with the selected beginning. The combo box is populated with common prefixes, but you can enter any letter or combination or letters in the box. When seleceting Begins With, the prefix box opens automatically, and when a prefix is selected or entered, it becomes the search term.

Ends With

This option allows you to search for words with the selected beginning. The combo box is populated with common prefixes, but you can enter any letter or combination or letters in the box.

Anagrams

An anagram is a word that contains all of the same letters, but in a different order. This is also called the "Contains all letters" option in some other software, but is best known as anagrams. Many players learn to recognize anagrams on their rack and learn to find alternate plays based on the state of the board. They are particularly useful in playing bingos. Many words do not have anagrams and players often rely on playing a limited number of tiles from their rack, or adding letters from the board to form words. Subanagrams, suberanagrams, and blank anagrams are useful for that.

Subanagrams

A subanagram is a word that contains only some of the letters in the search box, but NO OTHER letters. The search tracks the number of letters. If the search word has only one S, it won't return words with two S's. A subanagram search for WISE will not return SEWS. Specify the length of the words you want returned. Obviously, it can't be more than the number of letters in the search box.

Superanagrams

A superanagram is a word that contains ALL of the letters in the search and then some. This is the same as the "Contains All letters" option. Again, it should be obvious that the maximum number of letters has to be more than the word length. This is the equivalent of getting anagrams and including question marks in the search. If you consider the previous query for words that contain both Q and X, if you enter QX in the search box and search for Super Anagrams up to 6-letters long you would get the one word that meets that criteria, EXEQUY. This option is also particularly useful when studying stems.

Hooks

Hooks have two meanings in practice. It can be a letter that you add to an existing word to form a new word, although some also refer to the new word as a hook. The hooked letter can either be at the beginning or the end of the existing word. For example the word ION has four hooks and the results will list the words CION, LION, PION, IONS, while one of the most hookable words is AT, with 19 hooks. Although hooks are useful for a player to know, this screen may not be that useful. You can see the hooks for a word in many other ways. The Display option for "Hooks" will show the letters that can be added to a word, in the format:

bcefghklmopqrstvw AT et

Each of the initial letters can be added to the beginning of AT to form a new word, and both 'e' and 't' can be added to the end of AT to form new words. Other searches also have a context sensitive option that will display the hook words in a Quick Review, or open a new window with all the hooks.

Anagram Hooks*

Anagram hooks are a combination of an anagram and a hook. They are formed by rearranging the letters in the search and then adding a letter at the front or end. The word entered must be valid or have a valid anagram to be considered in Anagram Hooks. If there are no valid anagrams, it will not show any anagram hooks. For example, searching for SEND will show 13 anagram hooks. SEND has only one simple hook, SENDS. However, although CAI has two hooks, CAID and CAIN, it has no anagram hooks because CAI is not valid and does not have a valid anagram.

Extensions

Extensions lets you find words that contain the word you selected, by either adding letters to the front, back, or both. This is handy for finding words you can create by extending the words on the board. This can be useful for extending high scoring words, or extending to a TW square. For example, entering QI you can find 9 words that contain it. For QUA, there are 728 words that can be formed by adding letters to it.

Subwords

Subwords allows you to do just the opposite of Extensions, search for words within the word you enter. Letters are not rearranged.

Blank Anagrams*

Blank anagrams is a shortcut to search for superanagrams with only one additional letter. It's as if you included an additional blank in the search term. This is a useful tool for studying individual stems. A stem is a word that you can add a letter to, rearrange, and form several other words. Entering TISANE, and choosing 7-letter Super Anagrams, you would get the 67 7-letter words (TWL98) that can be formed.

Serious students may also find the Stems screen useful for studying common bingos. With that option and the slide show, you can study several collections of the most common stems and their blank anagram bingos.

Transpositions

Transpositions are anagrams of the search term, except that only two letters are switched. For example, STRONGYL is a transposition of STRONGLY because the last two letters are switched.

Misspells

Misspells are words that resemble the search term, except for one letter. For example, BUTTER has 8 misspells including BITTER, BOTTER, BUTTEE, BUTTES, BUTTEZ, CUTTER, LUTTER, and PUTTER. Zyzzyva uses the term Blank Match to refer to this type of search.

Conjugate (fr)

Conjugate takes a word ending in ER, IR, or RE and attempts to give the words conjugated from that word. Only valid words are shown. Hoot doesn't identify what words are French verbs, but players can search for words ending in ER, IR, and RE and see if they can be conjugated as regular verbs. You can also use a slide show of such words to see the subsearch Conjugate option. Only valid words are shown in the results.

Compound Words

Compound words returns a list of compound words of the selected length.

At this writing the Compound Word search here differs from the search available in Query. The words are split in half and each half is searched for valid words. For example, when selecting 8 letter words, Hoot returns words that are formed from two 4-letter words. Odd number letters are split as closely as possible. Selecting 7 letter words returns words compose of a 3-letter word and a 4-letter word. The initial display will show the compound word with a separater, but you can change the Display from the ribbon.

Three in One

Three in One searches are like compound words except that words are made up of three other words of the same length. Searching for 15 letter words shows words that can be formed by three five letter words.

Compound Anagram

A Compound Anagram is a word made from the entry term and the anagram of another valid word. The search is time-consuming so there is an option for the length of the final word. One of many compound anagram s of the word WAIT is

WAIT+ARE=AWAITERS

Joins (previously Inserts)

The search for joins will find long words that consist of two other words with your term joining them to form a new word. For example, a search for WAIT as an join will show you

DUMB•WAIT•ERS
HEAD•WAIT•ERS

Stretches

The search for stretchs will show words that have a letter added to the inside of the word to form a new word. Some have suggested that this be called a mid-hook.

BEMIX•BEMBIX
BLITZ•BLINTZ
COMIX•COMMIX
JACAL•JACKAL

Related Words

Related words is a crude attempt to display all words related to the entry, which includes words created by adding standard prefixes and suffixes.

Search Term

The search term includes the letters or word you are doing the search on. With some search options you have the freedom to include a '?' in the search word to match words with an additional letter. The '?' could represent a blank you have, or anticipate playing with a tile on the board. In pattern searches acceptable characters in the search term are expanded considerably and have special meaning. See Patterns for a more comprehensive list of acceptable characters used in a pattern search. A few searches don't require a search term, such as letter count and compound words.

The '?' or blank is a building block for anagramming, particularyl searching for superanagrams, and blank anagrams. For example, the anagram for TISANE? would be the same as selecting TISANE and Superanagrams that are 7 letters long. You could also use blanks to find all four letter words that contain a Q by entering Q???. In the case of subanagrams, including a '?' is one way to show blank matches, matches that include a substitute letter in the search term. WISE? will return SITE, which matches all letters except the 'W'.

Minimum and Maximum

For searches other than by Letter Count, you can filter the list of words returned by the number of letters. Some searches will default to a set length, or acceptable minimum and maximum. For example, anagrams will all be the same size and depend on the search term. You can change the maximum word length available from the Options. Super Scrabble players may want to change that from 15 to 21.

Prefix and Suffix

Common prefixes and suffixes can be selected from their respective drop down boxes, but you can also enter a single letter or a prefix/suffix. The prefixes and suffixes that appear in the boxes can be edited in Settings > Prefix/Suffix letter. The prefixes available match the language of the lexicon..

Rack Filtering

The rack filter limits the list to words that can be formed using the letter in the box. When using the rack filter consider that the limitation is on all letters. This search also has a filter that shows only words that contain the letters in the filter text box such as the tiles on your rack.. Remember that the words in the original search should be included here as well. If a search has a prefix or suffix, those letters must also be included. This filter is a toggle. You can continually change this filter and apply to the original search. Clear the filter and the original results will be shown without re-searching.

More...

Other features in the combination window include a clear button and a new window button. Also, the context menu in Combination searches has been enhanced to allow you to save a search and reload it later. Saving a search simply saves the search parameters to a text file that Hoot can read later. There is already an option to copy or save the list of words returned in a search. You can also open a search in a separate (Popup) window showing only the list. See the Context menu page for a complete description of options available from the context menu.


Hoot - Predefined Lists

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Predefined Lists
  • Next

Predefined Lists

Beginner Lists and Special Lists have been combined with French lists to form Predefined Lists. The searches are the same with a few additions, but they are accessed through dropdown boxes instead of individual buttons.

The top box is the selection of what category of predefined lists to use. Currently there are only four categories: Beginner, Special, High Plays and French. A separate page is devoted to each category.

Beginner - Basic searches for beginning word game players.

Special - More specialized searches.

High Plays - Searches with high value initial or ending letter.

French - Searches devoted to the French lexicon.

After selecting a category, select the individual list from the second box.

Subject Lists are also available for customized lists, and you can also study external lists in Text file searches.


Hoot - Beginners

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Predefined Lists
  • Beginners

    Next

Beginners

In order to get a good start with competitive word games, there are several word lists that beginners would be advised to learn, and Hoot is a tool that can help with that. The Beginners list in Predefined Lists has some of the most basic studies, which can also be accessed elsewhere in the program.

  • Study 2-letter words. There are only about 100 words to learn and you need to know most of them.
  • 2-letter hooks. Some people advise learning 3 letter words that can be formed by adding a letter to a two letter word. Those are called hooks. You can see the list by pressing Show Hooks. The display will show all the letters that can be added to the front on the left, and all the letters that can be added to the back on the right. This is a common format for displaying words with hooks.
  • 3-letter QZJXCV. Learning the three letter words with high value tiles will avoid frustration when you get stuck with one of them. They are big points if you can play them, and a big point deduction if you can't. Professional advise to particularly learn the words with Q, Z, J, and X, but I also advice learning the C and V words. You'll notice that there are no two-letter words with C or V.
  • Q Not U. Knowing what words you can play when you have a Q without a U in sight will save some time. There aren't that many of them but they aren't common words.
  • QZJX (4 letters). Next, you might want to learn the rest of the Q, Z, J, and X four letter words.
  • 3-letter words. Many people put this closer to the top of the list, so you might want to study these before very long.
  • Vowel Heavy. Among the two, three, and four letter words, pay particular attention to the words with a lot of vowels.
  • Consonant Dumps. Likewise, notice what words have lots of consonants. In Scrabble, Y is not considered a vowel.
  • Then there's all the four letter words.


Hoot - Special Lists

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Predefined Lists
  • Special Lists
  • Next

Special Lists

Predefined Lists includes several special lists useful for beginning, or fun, word study. Studying these words will help you manage your plays when you have a challenging rack or opportunities for a big score.

Vowel Heavy

To make this list a word less than four characters long must have at least 75% vowels, and the rest must have at least 61% vowels. That means three letter words must have all vowels, and four letter words must have at least three. Seven letter words must have 5 vowels. Vowel issues can also be solved by searching in other screens for double or triple I's or double U's.

Double II

A simple list of words with at least two I's. The list includes all word lengths, but sorting normaly you can focus on four or five letter words.

Double UU

A simple list of words with at least two U's.

No Vowel

The No Vowel list is self explanatory, and there is an alternate Consonant dump with few vowels.

Consonant Dumps

To make this list a word must have more than 82% consonants, so any word less than six characters long with a vowel, is omitted. Of course, unlike the saying, the letter Y is always considered a consonant.

Q not U

A very useful set of words to learn are the words that contain a Q, but not a U.

Palindromes

These are mirror image words that are spelled the same forward and backward. It might be a named list but it can be calculated by the search engine.

No Hooks

The No Hooks button simply displays the words that do not take a hook. The list shown includes all words up to 7 letters, but you can filter the words based on the letters in the Filter box or use the usual sorting. In other words, the filter shows the words that you can play with the letters in the filter box. You can also use the ? for blank or unknown letters.


Hoot - High Plays

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Predefined Lists
  • High Plays

    Next

High Plays

The High Plays list in Predefined Lists includes several searches that can help you take advantage of double bonus squares.

High Fives

High Fives have two definitions depending on who you talk to. Some refer to high fives as five letter words with at least one high value tile (QXJV). This list takes the alternate view that high fives are high value words with a F, H, K, V, W, or Y at the beginning or ending of a word. JQXZ Fives is a separate search. This set of words is important because bonus points are often separated by five tiles in Scrabble™. By playing the high value tile on the 3L space, and reaching the 3W space, players can make the most of their tiles.

High Fours

High Fours follow the same guideline as High Fives except that the words are only 4 letters long. This set of words is important to Words with Friends™ players because that board has many opportunities to play on bonus points are often separated by four tiles. By playing the high value tile on the 3L space, and reaching the 3W space, players can make the most of their tiles.

JQXZ Fours

This list returns four letter words that begin or end with J, Q, X, or Z.

JQXZ Fives

This list returns five letter words that begin or end with J, Q, X, or Z.

High End Fours

This list returns four letter words that both begin and end with a high value letter, including F, H, J, K, Q, V, W, X, Y, or Z.

High End Fives

This list returns five letter words that both begin and end with a high value letter, including F, H, J, K, Q, V, W, X, Y, or Z.

High End Sixes

This list returns six letter words that both begin and end with a high value letter, including F, H, J, K, Q, V, W, X, Y, or Z.

Similar searches can also be conducted using Patterns and letter values.


Hoot - French Lists

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Predefined Lists
  • French Lists

    Next

French Lists

These are lists that players using the French lexicon and playing French tile values. Some lists parameters are the same as the English counterpart. In both, players are advised to learn 2 and 3 letter words, Q not U words, and vowel or consonant heavy words.

2 Letter Words

Words with two letters are useful for playing beside another word and scoring double points for that tile.

3 Letter words

Knowing three letter words will enable you to play along other words while making your play. Extending a word to three letters could also get you to a bonus square.

Q not U

A very useful set of words to learn are the words that contain a Q, but not a U.

Vowel Heavy

To make this list a word less than four characters long must have at least 75% vowels, and the rest must have at least 61% vowels. That means three letter words must have all vowels, and four letter words must have at least three. Seven letter words must have 5 vowels. Vowel issues can also be solved by searching in other screens for double or triple I's or double U's.

Consonant Dumps

To make this list a word must have more than 82% consonants, so any word less than six characters long with a vowel, is omitted. Of course, unlike the saying, the letter Y is always considered a consonant.

High Fours

The French version of High Fours includes all words beginning or ending with one of the French high value tiles, J, K, Q, W, X, Y, or Z. This set of words is important because bonus points are often separated by four tiles in Words with Friends™. By playing the high value tile on the 3L space, and reaching the 3W space, players can make the most of their tiles.

High Fives

The French version of High Fives includes all words beginning or ending with one of the French high value tiles, J, K, Q, W, X, Y, or Z. This set of words is important because bonus points are often separated by five tiles in Scrabble™. By playing the high value tile on the 3L space, and reaching the 3W space, players can make the most of their tiles.

Other French Lists

Another feature in Hoot that supports French play is the Conjugate option in the Combination menu, and the context sensitive Conjugate search. Hoot doesn't identify what words are French verbs, but players can search for words ending in ER, IR, and RE and see if they can be conjugated as regular verbs. You can also use a slide show of such words to see the subsearch Conjugate option. Only valid words are shown in the results.


Hoot - Query

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Query
  • Next

Query

The query provides multiple options on one screen like the combination search, except that you define the searches by adding criteria lines. This is similar to the primary search in Zyzzyva and possibly other search engines. After adding a criteria line, users select the search to use from the dropdown box for Search Type. Based on the search option selected, parameters will be requested. Hoot uses the results from the earlier lines as input to newer lines.

If the lexicon in use is not fully indexed, some searches with many criteria and long lists may be slow. As in Zyzzyva, some searches may be so time-consuming that it would appear that Hoot is locked up. This is common with multiple criteria returning large lists of results. When that happens, simply close the application, restart it and try narrower search criteria. To speed up searches, narrow down results in first criteria. You might also find that combination searches may be faster and more intuitive.

List Format

The Query list results are displayed with eight columns:

  • Alphagram (expandable sliver)
  • Front hooks
  • Word/Special
  • Back hooks
  • Score
  • Probability
  • Optimum Playability
  • Number of Anagrams
  • Definition

Sorting

Unlike other searches that allow you to sort using a button on the ribbon, in Query you can sort by a column by simply clicking on the column header. Hoot normally returns results and sorts by length first, then alphabetically. Clicking on the Word column sorts alphabetically. To re-sort based on length/then alpha, use the Normal sort button on the ribbon.

You can widen or narrow the columns depending on the length of words, hooks, etc. Also, double-clicking between two headers will expand or compress the left column to the widest item or heading in the list. You can also rearrange the columns displayed by dragging the column header to the desired column. I am working on a playability option that is based on the ABILITY to PLAY a word on the board, not valuableness, but testing and processing such a list is very time-consuming. There are a couple of hidden columns that I use to facilitate sorting and searches.

Join Types

Unlike the Zyzzyva search, there is no NOT option. Instead, Hoot allows one of three join types. The WHERE is the normal join type. Each line finds words that are in the previous line's results. The EXCEPT is the same as the NOT in Zyzzyva. An EXCEPT line will take away words that are in the previous line's results. In order to find words with a Q and no U, you might use the following.

WHERE Contains Letter: Q
EXCEPT Contains Letter: U

A third join type is the PLUS. This search returns new results and adds them to the previous search results.

Search Types

The Query has all the search types that are in the Combination search, and adds a few that are needed to accommodate the different join types.

All

The first line defaults to the Where join type, and has an additional search option, ALL. All represents all words in the Lexicon and can be used to search for words using the Except option on the second. For example, you can search for all words in the current lexicon (i.e. WJ2), except for words in the TWL98 lexicon. This shows the new words you may need to learn. You can also add a line that filters by word length. WJ2 includes words up to 21 characters long.

In Lexicon

In Lexicon finds all words in the current lexicon that are also in the selected lexicon. This may be most used to search words in the current lexicon that are not in the selected lexicon as in the previous illustration.

In List

Finds words in one of the subject lists.

Pattern

Pattern searches is a powerful and complicated option that is discussed on the Pattern page. Many popular searches can be executed using the Pattern search.

Parallel

Pattern will find words that can be played parallel to the term entered. In the results the inner hooks are replaced with symbols next to the word, showing whether playable on one side or the other, or both.

Letter Count

Letter count will bring in all words that are the selected length. This is useful for beginners studying 2, 3, or 4 letter words. For longer lists, you can select the filter option to only show words from this list that begin with a certain letter, such as all 4-letter words beginning with J.

Between Lengths

The lengths option returns words between two selected lengths.

Contains Letters

Contains Letters is used to display words that contain at least one of the letters in the search box. If you are studying all of the words containing Q or X, you enter those letters in the search box. For words containing words with both Q and X, use the Anagrams search screen, or patterns. This might also be called the "Contains any letter" search.

Contains All Letters

This search finds words that contains ALL of the letters in the search and then some. This is the equivalent of getting anagrams and including question marks in the search. This is also referred to as superanagrams. If you consider the previous query for words that contain both Q and X, if you enter QX in the search box and search for words up to 6-letters long you would get the one word that meets that criteria, EXEQUY. This option is also useful when studying stems.

Begins With

This option allows you to search for words with the selected beginning. The combo box is populated with common prefixes, but you can enter any letter or combination or letters in the box. When a prefix is selected or entered, it becomes the search term.

Ends With

This option allows you to search for words with the selected beginning. The combo box is populated with common prefixes, but you can enter any letter or combination or letters in the box.

Alternate Ending

This option finds words with one ending that also take an alternate ending. For example, an alternate ending of Y is IER.
The results return the shorter word, but the display shows both words together if this is the final criteria. The hook display is also modified to show the alternate.

Takes Prefix/Suffix

Unlike the Begins With and Ends With option, Takes Prefix (Suffix) finds words that can be prefixed (suffixed) by the selected prefix (suffix). With Begins With, some words beginning with a certain prefix may not be words on their own.

Anagrams

An anagram is a word that contains all of the same letters, but in a different order. This is also called the "Contains all letters" option in some other software, but is best known as anagrams. Many players learn to recognize anagrams on their rack and learn to find alternate plays based on the state of the board. They are particularly useful in playing bingos. Many words do not have anagrams and players often rely on playing a limited number of tiles from their rack, or adding letters from the board to form words. Subanagrams, suberanagrams, and blank anagrams are useful for that.

Subanagrams

A subanagram is a word that contains only some of the letters in the search box, but NO OTHER letters. The search tracks the number of letters. If the search word has only one S, it won't return words with two S's. A subanagram search for WISE will not return SEWS. Specify the length of the words you want returned. Obviously, it can't be more than the number of letters in the search box.

Superanagrams

A superanagram is a word that contains ALL of the letters in the search and then some. This is the same as the "Contains All letters" option. Again, it should be obvious that the maximum number of letters has to be more than the word length. This is the equivalent of getting anagrams and including question marks in the search. If you consider the previous query for words that contain both Q and X, if you enter QX in the search box and search for Super Anagrams up to 6-letters long you would get the one word that meets that criteria, EXEQUY. This option is also particularly useful when studying stems.

Hooks

Hooks have two meanings in practice. It can be a letter that you add to an existing word to form a new word, although some also refer to the new word as a hook. The hooked letter can either be at the beginning or the end of the existing word. For example the word ION has four hooks and the results will list the words CION, LION, PION, IONS, while one of the most hookable words is AT, with 19 hooks. Although hooks are useful for a player to know, this screen may not be that useful. You can see the hook letters for a word in the Front Hooks and Back Hooks columns.

Anagram Hooks

Anagram hooks are a combination of an anagram and a hook. They are formed by rearranging the letters in the search and then adding a letter at the front or end. The word entered must be valid or have a valid anagram to be considered in Anagram Hooks. If there are no valid anagrams, it will not show any anagram hooks. For example, searching for SEND will show 13 anagram hooks. SEND has only one simple hook, SENDS. However, although CAI has two hooks, CAID and CAIN, it has no anagram hooks because CAI is not valid and does not have a valid anagram.

Has No Hooks

Has No Hooks limits the list to words that do not have hooks. Ideally, you would include other parameters before finding words with no hooks.

Extensions

Extensions lets you find words that contain the word you selected, by either adding letters to the front, back, or both. This is handy for finding words you can create by extending the words on the board. This can be useful for extending high scoring words, or extending to a TW square. For example, entering QI you can find 9 words that contain it. For QUA, there are 728 words that can be formed by adding letters to it.

Subwords

Subwords allows you to do just the opposite of Extensions, search for words within the word you enter. Letters are not rearranged.

Blank Anagrams

Blank anagrams is a shortcut to search for superanagrams with only one additional letter. It's as if you included an additional blank in the search term. This is a useful tool for studying individual stems. A stem is a word that you can add a letter to, rearrange, and form several other words. Entering TISANE, and choosing 7-letter Super Anagrams, you would get the 67 7-letter words (TWL98) that can be formed.

Serious students may also find the Stems screen useful for studying common bingos. With that option and the slide show, you can study several collections of the most common stems and their blank anagram bingos.

The term blank anagram has at least two meanings. In Hoot, a blank anagram in an anagram of several letters plus a blank. Stem study is based on this study method. Take TISANE and a blank and show all the words that can be made from it. This is not to be confused with Zyzzyva's interpretation of a blank anagram, which takes several letters and finds all the words that can be made by changing one of those letters into a blank.

Transpositions

A transposition is a word that has two letters transposed. A common example is the word STRONGLY, STRONGYL.

Misspells

Misspells are called Cousins in french word study and blank matches in Zyzzyva. Misspells are words that can be formed by replacing one of the letters in a word with another letter. Some Misspells of the word WILD are GILD, MILD, WIND, and WOLD.

Conjugate

Conjugate is an option for french study that shows a conjugation of a regular french word. Hoot only attempts to translate ER, IR, and RE verbs.

Compound Words

Compound words returns a list of words made from two other words. Unlike the Combination Search option, you can specify the joining word lengths. For example, you may choose to display words made of a three letter word and a seven letter word (3+7. Hoot returns words that are formed from the two words. If you also want words that are formed from seven+three letter words, you can add that criteria and select the Plus join option. Just remember that the search is for 10 letter words.

Three in One

Three in One searches are like compound words except that words are made up of three other words of the same length. Searching for 15 letter words shows words that can be formed by three five letter words.

Compound Anagram

A Compound Anagram is a word made from the entry term and the anagram of another valid word. The search is time-consuming so there is an option for the length of the final word. One of many compounds of the word WAIT is

WAIT+ARE=AWAITERS

Joins (previously Inserts)

The search for joins will find long words that consist of two other words with your term joining them to form a new word. For example, a search for WAIT as an join will show you

DUMB•WAIT•ERS
HEAD•WAIT•ERS

Stretches

The search for stretchs will show words that have a letter added to the inside of the word to form a new word. Some have suggested that this be called a mid-hook.

BEMIX•BEMBIX
BLITZ•BLINTZ
COMIX•COMMIX
JACAL•JACKAL

Probability

Probability searches for words with a minimum probability rating. Entering 80 will find words with probability between 80 and 100.

Optimum Playability

This search finds words with at least the optimum playability entered.

In Definition

Searches for text in the definition of a word.

Filter

There is no filter option as in the Combination search. The filter there limits the list to words that can be played with the letters entered. You can activate that same functionality by adding a new criteria, selecting Subanagrams and entering the letters on your rack, and on the board if applicable.

Search Term

The search term includes the letters or word you are doing the search on. With most search options you have the freedom to include a '?' in the search word to match words with an additional letter. The '?' could represent a blank you have, or anticipate playing with a tile on the board. In pattern searches acceptable characters in the search term are expanded considerably and have special meaning. See Patterns for a more comprehensive list of acceptable characters used in a pattern search. A few searches don't require a search term, such as letter count and compound words.

The '?' or blank is a building block for anagramming, particularyl searching for superanagrams, and blank anagrams. For example, the anagram for TISANE? would be the same as selecting TISANE and Superanagrams that are 7 letters long. You could also use blanks to find all four letter words that contain a Q by entering Q???. In the case of subanagrams, including a '?' is one way to show blank matches, matches that include a substitute letter in the search term. WISE? will return SITE, which matches all letters except the 'W'.

More...

You can also open a search in a separate (Popup) window showing only the list which will respond to the options from the ribbon. See the Context menu page for a complete description of options available from the context menu. The save/list options are not yet available in the Query search.


Hoot - Pattern Searches

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Pattern Searches
  • Next

Pattern

The pattern search is an option in the Combination search and the Query. Following are some basic rules for creating pattern searches.

Basic

Pattern searches allow you to specify the word pattern. You can search for words using a pattern if you know some of the letters in the word and their order, like on a scrabble board. Pattern uses a few characters as wildcards or generic specifications.

The ? will replace any unknown character. That is a standard with other word search engines.

Any letter followed by a ~ is an optional match.

The * will replace any number of unknown characters. A period can also be used for this purpose.

The lowercase letters 'c' and 'v' will search for consonants and vowels respectively.

Valid numbers will be replaced by a letter with that value. The value used is now is based on the currently active TileSet. See Tools > Options to change that.

Example: ATT???ABLE will give you two words, ATTACHABLE and ATTAINABLE.

Example: v*ION all words that begin with consonant and end in ION.

Example: Mvv* will show all words beginning with M and two vowels.

Example: 4??? will show all four letter words beginning with F, H, V, W, or Y if using the English Scrabble TileSet.

You could also use patterns for other types of searches, such as prefixes. PRE* will return all words that begin with PRE. You could also find words that contain a subword, such as, *ATE*.

Note: Like other screens, Hoot will convert letters to uppercase, but notice that this screen does allow you to enter some lowercase letters and numbers. That's because the search allows you to specify consonant or vowel in the search with lowercase 'c' or 'v'. If you are searching for a 'C' or 'V' and not a consonant or vowel make sure the search includes the uppercase letter.

Regular Expressions

The pattern search is based on regular expressions. I have simply overriden the normal ?, c, and v to enable non-regexp savvy users to do searches. That also means that you could also use most regexp patterns. Search the internet for a Reg Exp cheat sheet if you want to try some. Hoot's search automatically provides the beginning of word, end of word in the pattern, so ^ and $ have no purpose. To search within a word, use the * at the beginning or end. Except for the c and v, the input box forces all characters to uppercase.

Pattern Rules

Patterns are made using pattern matching rules or regular expressions, with a couple of exceptions. Following are the most basic rules for pattern searches.

Blank Match: Matches one character. In Hoot you can specify the wildcard with a "?". This differs from the standard Regex rule for matching a single character which uses a "." (period).

Wildcard: In Hoot, you can match any number of letters with a "*". In standard regexp searches, matching all characters requires using a "." (period) followed by a *.

Optional match: If you want to match zero of more of any specific character, follow the character with a "~". This won't work in standard Regex. Most of the rest comes from the standard Regex documentation.

Character groups: Including a set of characters within brackets searches for one of the characters in brackets.
The group [AE] will match with the "A" in "GRAY", or the "A" or "E" in "LANE".

Character group negation: Including a set of characters within brackets and adding the ^ at the beginning will match characters not in the group
The group [^AEI] will only match with the "R", "G", "N" in "REIGN"

Character range: Matches any single character in the range from first to last.
The range [V-Z] will match the "V" in "VICTOR".

Subword pattern: Matches any set of characters in parentheses separated by the vertical bar (|) character.
TH(E|IS|AT) matches "THE", "THIS", and "THAT".

Multiple matches: matches the previous character one or more times. Including a "+" following a character matches that character one or more times. O+ will match words with one or more O's.

Match n times: Matches the previous character the number of times in the braces. O{2} will match words with two successive O's.
Match at least n times: O{n,}
Match at least n times, but no more than m: O{n,m}
This doesn't work as well with character groups. *[DL]{2} will find words ending in two letters (either D or L), including ADD, ALL, as well as ELD. See Capture groups next.

Capture groups: (Fixed with 1.8.0) Matches letters based on previous letter matches. Include the letters to match in parentheses, and a \ followed by a number to match that group number.
*(J)\1 finds words ending with two J's, though you could just as easily used *JJ.
*([DL])\1 is more useful. It will find words ending in either double D or double L, like ADD, ALL, and ELL. ELD would not be included in that group.
*(?)\1 finds words that repeat any letter at the end, like AA, MM, ADD, AFF...

Hoot Sub-patterns

Within Hoot pattern searches you can add sub-patterns to select a letter or set of letters to use. Note: This is NOT a standard regular expression rule. Sub-patterns consist of a word within angle brackets including a ? to indicate the letter(s) to include. <W?IT> will return the character group containing every letter that can be used to complete the W?IT subsearch, which would be [AHR] in the Collins lexicon. If you want to find words parallel to JAW, with the IT to the right of the W, the pattern would be *<J?><A?><W?IT>*, which would translate into the regular expression *[AO][ABDEGHILMNRSTWXY][AHR]* and return 4917 words up to 7 letters in length. This can useful when analyzing a play that involved playing between/through an existing play.

Sample Searches

*RR+* would find all words with one or more R's, that is, with one R and one or more R's following, including BRR, ERR, BRRR, ERRS.

F[JY]* would find all words beginning with F, followed by either J or Y, including FYCE, FYKE, FJELD, FJORD.

[XZ]? would find all words an initial letter of X or Z, and one other character. Depending on the lexicon, it would return XU, XI, and ZA.

*[QXZJ]* would find all words with one of the characters, Q, X, Z, or J. There are almost 16,000 of them.

*[QZXJ]c* would find words with a QZXJ followed by a consonant. *(8|10)c* will do the same.

*(XY|ZT|ZY)* would find all words with one of the patterns in parentheses, including OXY, XYST, ZYME, ZYZZYVA

(???[FHKVWY]|[FHKVWY]???) would find all 4-letter words beginning or ending with F, H, K, V, W, or Y. (???(4|5)|(4|5)???) will do the same.

You might not know it but there are 50 words with either two Q's, two J's, or a Q and a J. You can find those with *[QJ]*[QJ]* in the pattern search box.

Words with a Q without a U following can be found with *Q[^U]*, and the complex pattern (Q[^U]+|[^U]+Q[^U]+|[^U]+Q) is one way to search for all words with a Q, but no U at all.

And (Q[^U]*U*|[^U]+Q[^U]*U*|U*Q[^U]*|U*Q) would find the four words with a Q and U, but the Q doesn't follow the Q (QIVIUT, QIVIUTS, UMIAQ, UMIAQS).

(???)\1 finds words that repeat the first three letters, like ATLATL, BONBON, CHICHI...

(?)*\1 finds words that begin and end in the same letter.

(?)(?)*\2\1 finds words that end with the beginning letters reversed, like words beginning with DE and ending in ED.

*(v)*\1*\1*\1* finds words with four of the same vowel, like BEEBEE, BOOHOO, MUUMUU...

?<J?BE><Q?><W?STED> finds words that begin with any letter and contains the letters that complete the subsearches J?BE, Q?, and W?STED. In Collins that includes the words HUIA and KUIA. (Hoot only)

Most other searches can be accomplished using Pattern rules. The entry ???? will search for words with four letters, *ER will search for words ending in ER, and *J* will search for words containing the letter J.

For a more complete list of rules see https://msdn.microsoft.com/en-us/library/az24scfc%28v=vs.100%29.aspx?f=255&MSPPError=-2147217396. Note that some of the options are irrelevant since there are no newlines, tabs, spaces, or actual numbers in the words.


Hoot - Other Searches

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Other Searches
  • Next

Other Searches

Useful searches that are not incorporated into the Combination Search, Predefined Lists, and Query are listed here.

  • Front and Back

  • Stems

  • Letter Studies

  • Word Studies

  • Subject Lists

  • Text File Lists

  • Word Judge

  • Lookup

  • Compare Lexicons


Hoot - Named Lists

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Other Searches
  • Subject Lists
  • Next

Subject Lists

Subject lists are customized lists of words, mostly based on a subject. They are custom in that they are not calculated based on a word search. Still, only words that are in the currently selected lexicon are shown. A couple of subject lists in this version of Hoot are Common Names and Common Places.

Raw subject lists may contain unplayable words, in which case they would not be displayed until the selected lexicon includes that word. For example, the frequently used disc golf terms HYZER and ANHYZER are not valid words, yet.

You can create your own subject lists and the process has been enhanced significantly. Plus, you can edit existing lists, by hitting the Edit button after bringing up a list. Although you can create any type of list, many lists, such as terms beginning or ending with a word, can be generated from the search screens within Hoot.

Like other lists, you can use the context menu and save a list of the words displayed, but since these are filtered through the lexicon in use, some words in the list may not be included. To export all words in a named list, valid or not, use the Subject List Editor and Export List.


Hoot - Text File Lists

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Other Searches
  • Text File Lists
  • Next

Text File Lists

Text file lists are similar to Subject lists, since they are not calculated. With text file lists, you can open a text file and display the valid words in Hoot. This is a useful tool since you normally don't just want to study a list of words, but also their hooks, anagrams, and such. Words that are not valid in the selected lexicon are displayed in a separate box. You can also view these lists as slide shows.

This feature also enables you to study word lists from different lexicons. If you have a list of words from a SOWPODS lexicon and you only want to study words from your lexicon, Hoot will only display the words in the selected lexicon.

You can also type in your own words into the middle multiline text box on the left and click Add My Words to add them to a list. You can also select text from a different application and drag into this box for processing. Note that this only adds the first word in a line, or a shortcut word phrase (see below). Anything following the first space is ignored and any word with punctuation is ignored.

Hoot doesn't save anything you enter into this screen. If you want to save a list of words use the Subject List Editor instead which can import words into a new or existing named list. The subject list editor is available from the Tools tab. You can, however, use the context menu (right-click) here and copy the list to the clipboard or save to file. You can also copy/save from the invalid result box.

There is a delay when this form first opened because it loads the complete dictionary for processing. Subsequent searches are quicker. In order to start over you can click Clear Lists.

Format

Hoot reads text files in two different modes. By selecting one word per line, Hoot only reads the first word of each line so a text file that includes definitions following will simply ignore the definitions as long as the first word is followed by white space (space, tab). You can also select to read all words in the file. Words will be separated based on white space separaters.

In either case, Hoot recognizes a shortcut display of words that shows extensions in parenthesis. The complete phrase must not have any spaces. The comma separated list will be added to the root word. If an item in the list begins with a /, the last letter of the root word is dropped first.

For example, ACTUALISE(S,D,/ING) will add

ACTUALISE
ACTUALISES
ACTUALISED
ACTUALISING

An example of this format is found in the list of new OWL3 words on the NASPA website. Of course, new words would have to be included in the active lexicon before they are shown in a textfile search list..

Hoot also recognizes and ignores a first line comment that begins with //.


Hoot - Letter Studies

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Other Searches
  • Letter Studies
  • Next

Letter Studies

Letter Studies is an experiment in word study techniques. Inspired by the Old Town Scrabble "The Gees" list, the letter study begins a collection of searches for studying words containing a selected letter. The initial letter study screen provided buttons for these searches. Now the whole form loads the results in a collection of boxes. The initial study starts with the short words (2-5 letters), high value fours and fives, words with an odd second letter, high probability sevens and eights, and searches of words with that letter and selected endings.

Although this is dubbed letter studies, you can also study letter combinations, such as CH, SH, etc. In those cases, there are no results for odd second letters, and probably will not have doubles for that combination. One exception is for PH, which does return PHPHT. The Go button is only for searches other than the selected letter. The odd second letter is a personal configuration rather than totally calculated. I do searches of each letter and omit words with the most common second letters. You could even use this screen to study whole words. For example, searching for JACK will show words with hooks, sevens, eights, and even some extensions (under Is a Hook).

All search boxes include context menus that allow you to copy or save the list, or open in a separate window. Lists also respond to sort options in the ribbon.

A Custom list is also available, with a list of options for your own searches. For example, the IsHook search returns words that have the selected letter as a hook, and you can also search for words which have this letter as a unique hook.

The custom list supports the following searches:

  • Contains Letters
  • Begins With
  • Ends With
  • Is a Hook
  • Is Front Hook
  • Is Back Hook
  • Is Unique Hook
  • Has No Hooks
  • Has Two (anywhere in word)
  • Is Doubled (two together in word)
  • Inserts (between two other words)

The custom list also has a more detailed context menu enabled so you can do other searches or copy/save the list results. Selected words in this list also shows stats for that word. Since the size of the display of hooks can vary, I've enabled expansion of those lists, and added horizontal scroll bars. Simply widen the window to view the full width. There is no toggle to show hooks for the selected words.

The Prefix and Suffix column of results show only four common endings (EN, PRE, ION, and MENT), but you can select one of more than 100 other prefixes or suffixes or enter your own. Again, if you have to type in an prefix or suffix, press Go to begin the search.

I will probably expand this search option, though many letter studies can also be done in the Combination search using Contains letters, and adding filters. Hint: To study words with three of the same letter, you could use the Pattern search and enter *G*G*G*, or whatever the letter is.


Hoot - Stems

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Other Searches
  • Stems
  • Next

Stems

Stems are words (legal or not) that are the foundation for forming several other words by adding a single letter and rearranging the letters.

Using stems is a popular method for study, and certain groups of stems can form many other words. The list of stems includes top 6-letter stems, other 6-letter stems, top 7-letter stems, and other 7-letter stems.

While the option displays the stems in each group, the most valuable tool is the slide show. When selecting Blank Anagrams, the slide show is shown with the blank anagram subsearch. That takes each word in the list and shows what other words can be formed by adding a letter. You can navigate from word to word, as well as display the anagrams formed along with their possible hooks. Previously a separate blank anagrams screen was being used.

Similar to the slide show, there is now an option to start a quiz in slide show mode. In the quiz, you list the blank anagrams for each featured word.

Show Alphagrams will sort the letters of each word. After showing alphagrams you can then select to sort Alpha and it will sort by the alphagram. The slide show has similar options for displaying alphagrams. The quick review context menu option in this screen also indicates if the selected stem is a valid word. Not all stems are valid words alone.


Hoot - Front and Back

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Other Searches
  • Front and Back
  • Next

Front and Back

The Front and Back screen shows two separate result sets for each search. While most front and back searches can be executed using the context menu options, this is the only place to find parallel plays. Context menus are available here, but it is important to select a word in the list you want to use.

Hooks

The hook display show words with a letter added either to the front or back. The front hooks are shown on top with the back hooks shown at the bottom.

Extensions

The extensions display show words beginning or ending with the letters entered. Note that this does not show words with the letters in the middle of the word. Use Pattern searches for that purpose.

Parallel

Related to the pattern search is the search for parallel plays. Parallel play searches take the word entered, builds a regular expression, and finds words that can be played parallel to it. Two sets of results are returned, with the first result list containing words that can be played in front of the letters, and the second list containing words that can be played behind the letters. Words returned include words up to one letter longer. The Query search now has an option to search for Parallel plays, in which the word is prefixed with a symbol indicatiing if the parallel word is playable in front, back, or both.

Guidelines for a search for parallel words are that the parallel play must cover all letters other than the first or last. The first and last letter are optional.

Examples:

WAITING
will return words that can be played parallel to WAITING, WAITIN or AITING.
Results include ABOULIA, ANAEMIA, APHAGIA, APHASIA, APHELIA, APLASIA

Search results can include words that extend beyond those letters.
WAIT
returns a long list of results which include
ZOMBIFY in the front with Z hanging over and
ZOYSIAS in the back with Z playing on the A for ZA

If you want to limit the results to only those words that can match each letter of the word, you can enter ? as the first or last letter
STAIN will return (484 + 378) results, but
?JOINT only returns 13 words that can be played on the back, and none on the front because there are no two letter words that end in J

WATCH returns no results because there are no two letter words containing C and C is not the first or last letter.

Filter

After finding words that will play parallel, you can enter the letters on your rack and it will show which ones you can play. The parallel plays are as long as the word played beside, so there may be other plays that do not cover as many characters in the initial play. For example, a search for TIES in parallel play returns 4269 + 1438 words, but the filter with a rack of WITCHES narrows it down to ETHIC, WITHE, ETHICS, SWITHE, and WITHES. The filter is also available for Hooks and Extensions.

Expressions

Hoot finds parallel plays by building two regular expressions (patterns). The expressions used to find parallel plays are displayed next to the Search button. Understanding how patterns work can help you find more complete plays. For example, if you play ABBA over TIES, you can find the words that can be played underneath TIES with an expression based on what words are formed from each two letter combination. AT can be played on with an E or T, BI can be played on with B,D,G,N,O,S,T, and Z. Continuing this process you can develop the pattern [ET][BDGNOSTZ][DEGLNSTY][HKPS] to find 13 playable four letter words, and then another 3,938 longer words by adding asterisks on each end, which include 250 seven letter words.


Hoot - Lexicons

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Settings
  • Lexicons
  • Next

Lexicons

Lexicons

The Lexicons screen displays information about the selected lexicon and settings that indicate what configuration was done.

Note: This screen is a bit more complex since the creation of Hoot Android apps. Lexicons are stored differently on the Android platform, but this menu can help you convert between Desktop and Android versions.

Information

Information about each lexicon can be modified in this screen. Lexicons downloaded from the Hoot website usually have a textfile included that has the details about the lexicon and a readme with basic instructions on how to import the lexicon. Make sure to Save after changing information on this section.

Export

You can also export lexicons from here as well. When a version 3 lexicon is exported, it is saved as a tab-delimited text file, including the word, hooks, inner hooks, probability, optimum playability ratings, and number of anagrams. This is one way you can share a lexicon with other Hoot users. You may also want to include a text file with instructions and details about the lexicon. You will note that the Export is disabled for copyrighted lexicons that are a part of the Hoot distribution.

Delete

There is also an option to delete the selected lexicon. Before doing so, you may want to export it just in case you want to use it later or share it with others. Importing shared lexicons is a function of the Lexicon Creator.

Configuration

The right panel shows what indexing has been done on the lexicon. The green checkmark indicates what has been done. Check the box to select what configuration you want to do, or if you want to change a configuration. Then select Begin to start processing.

Lexicons provided with the program are already indexed and should have all green checkmarks. The indexing of a lexicon includes (with estimated time requirements for a 200,000 word lexicon):

  • Hooks: Rather than look up all the letters that can be used as hooks, that information is stored in advance to provide efficient operation. (10 min.)
  • Inner Hooks: The Inner Hooks can also be indexed, but will be looked up on the fly if not. Indexing inner hooks will speed things up a little. (10 min.)
  • Probability: The probability of drawing the selected word from the bag can be indexed, but will be calculated on the fly if not. This will speed longer searches considerably. Probability is calculated based on the selected Tile Set. (5 min.)
  • Optimum Playability (ImportOPlay): Optimum playability, from John O'Laughlin's playability ratings. (10 min.)
  • Number of Anagrams: Number of anagrams for each word (10 min.)

Times will increase on slower computers and with larger lexicons. For some aspects the time requirements will increase proportionally while others (such as those that compare with other words in the lexicon) will increase exponentially. In that case, it may be smart to do one thing at a time.

Android Support

Two new options support use of lexicons on Android databases. Both database maintain lexicon information the same, but the Android list is altered for more optimum use of limited resources.

Configure for Android Use

This option will convert the Desktop stored lexicon to a format that can be accessed from the Android app.
Note: In the Android apps there is also an option to import a Desktop version of the lexicon.

Import from Android

This option will convert an Android app lexicon so that it can be used on the desktop.

One way to tell that a database originated from an Android app has not been imported is that all searches will return with 0 results. Many of the green checkmarks will also be missing.

Show Stats

Each lexicon can be analyzed by Hoot to count the total number of words in the lexicon, the number of words of each length, and the number of words beginning with each letter. Scroll in the text box to see all of the details.

Definitions

Hoot is distributed with a definition file in the database. If you are starting with an empty database, you may need to add definitions separately. See Definitions for how to add definitions from a text file. Downloads has a definitions source file you can use. Definitions are language specific, so the definition configuration must match the language of the lexicon.

Other options from the Lexicon Admin panel have their own help page and include

Create Lexicon

Add Words (wip)

Compare Lexicons is now under the Tools tab

Copyright © 2020 Dana Bell


Hoot - Lexicon Creator

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Settings
  • Lexicon Creator
  • Next

Lexicon Creator

There are two ways to add lexicons to Hoot. The first option is to simply import a preformatted word list into Hoot. Several of these can be downloaded from the Hoot download section. The second option is to compile your own or use an existing text file for your word list.

Importing Lexicons

With this screen you can import lexicons you've downloaded from the Hoot website or that other Hoot users have shared. Simply select the Import Lexicon button, select the file, give it a name, and click on Create Lexicon. A special format of the file is necessary to import a complete lexicon. Each line is tab delimited and includes the word, hooks, and other information. Importing a lexicon instead of creating it eliminates the need to configure the lexicon. Hoot Lite makes the best use of a version 3 lexicon. When importing version 1 or 2 Hoot lexicons, some additional configuration may be required.

In order to export a lexicon that can be imported by other Hoot users, go to Lexicons and select the lexicon from the dropdown list. Then simply click on Export Lexicon. The lexicon will be exported to the Hoot\Lexicons folder in My Documents and default to the name of the lexicon as the file name. The progress text panel also shows the location of the exported file.

Compiling Lexicons

If you can't find a Hoot lexicon formatted for importing into Hoot, you will have to create one. You can create a lexicon from your own list of words, or compile it from publicly available resources. NASPA members can download the current OTCWL (OWL) from their website. Some lists can be generated by other word study programs. According to one source, the CSW lexicon can be generated from its own version of Zyzzyva. In Collins Zyzzyva 5.0.3 simply search for pattern * and save list.

With a little research you may also be able to build a lexicon based on previous versions of that lexicon. For example, by adding all new words to the OWL2 you can build your own copy of OWL3, or at least one with all the most important words.. You don't have to worry about adding words twice since Hoot will only allow one copy of each unique word. If you're a NASPA member, though, you can just go to their website and download it.

Unlike imported lexicons, however, these have to be configured by Hoot to build information to show hooks and speed display of other information. While Windows Notepad supports text files, it won't be able to include a very long lists of words. A useful text editor that supports long text files is EditPlus. That can even sort all the words in the list.

Format

The most important things about creating a list of words for a lexicon is the format. Hoot reads text files in two different modes, one per line and All words. In one per line, each word must be on a separate line. In All words, the words only have to be separated by white space (space, new line, etc.)

With either option, Hoot also recognizes a shortcut display of words that shows extensions in parenthesis from the first word.. The complete phrase must not have any spaces. The comma separated list will be added to the root word. If an item in the list begins with a /, the last letter of the root word is dropped first.

For example, using ACTUALISE(S,D,/ING) Hoot will add the words

ACTUALISE
ACTUALISES
ACTUALISED
ACTUALISING

Note that definitions must be imported using a separate process, although some definition lists could be used for both creating a lexicon and adding definitions to Hoot.

Creating Hoot Lexicons

The Lexicon Creator allows you to create a lexicon from a text file, such as one you have compiled or one that someone has shared with you. Words imported into Hoot are limited to lengths of 2 to 21. In order to make changes to the database, it must not be located in a read only folder such as the Program Files folder where it is initially installed. That is normally already copied to your user folder during installation, but you can also do that in the Databases panel under Settings.

To create a lexicon, browse for the text file to use, give the Lexicon a name, complete the lexicon information sections, and select Create Lexicon to create your new word list. You can also edit the details of each lexicon later in the Lexicons tab. Hoot uses a master list of unique words and displays a selection of those words based on the lexicon chosen. When creating the lexicon, Hoot will add any new words to the main dictionary before linking it to the lexicon. Existing words will not be added again.

Format

One Per Line

By selecting one word per line, Hoot only reads the first word of each line so a text file that includes definitions following will simply ignore the definitions as long as the first word is followed by white space (space, tab).

All Words

You can also select to read all words in the file. Words will be separated based on white space separaters, such as new line, space, and a tab. In either case, Hoot recognizes the shortcut display of words mentioned above that shows extensions in parentheses.

The creation of a new lexicon is rather fast. You can have a new lexicon within five minutes, based on my experiences with an old computer. There is a progress box that shows the actions being taken and the list to the left shows the new words being added to the dictionary. After a lexicon is added, you will need to select the new lexicon to use it.

Indexing

The Lexicon Creator only creates the basic lexicon unless it was imported from a shared or downloaded file, so you may want to configure the lexicon to enable certain features (hook displays and optimum playability ratings), or speed the display of other aspects (inner hooks, probability). Configuration of lexicons is done in the Lexicon Details screen. The most important step is to index hooks. Hook displays are not shown unless indexed. Probability and Inner hooks are still displayed but may take longer.

Updating Lexicons

There is no easy way to update configured lexicons as they change since the Hoot database includes related information for each word, etc. but you can add words to a lexicon. Under the Settings tab, select Add Words in the Lexicon Admin panel. This will only add words to the lexicon so you would need to reconfigure the lexicon to get correct hooks, etc. Options to index hooks and add probability on this screen are not yet functional.

Alternately, to update a lexicon that has added words, export the existing lexicon, add the new words to the list, make anf needed deletions, and then create a new lexicon using the updated word list. You will have to create the lexicon by selecting one word per line, and afterward configure it as desired. You can't use the import lexicon method and get an accurate configuration.


Hoot - Compare Lexicons

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Tools
  • Compare Lexicons
  • Next

Compare Lexicons

You can compare two lexicons in Hoot. If you want to know the differences between two lexicons, use this screen to show them. The comparison will show words in one that are not in the other. The option is available from Tools tab.

Although you may never study two separate lexicons, this can also be handy if you want to compare your primary lexicon with a list of common words, so you can focus on words that are not familiar to you, or others. Note that for some comparisons the list display will not operate optimally. When there are more than 30,000 words in any listbox, the navigation can be challenging.

When lists are displayed you can toggle between the hook and word display for each of the lexicons. Each list also has a context menu and slide show option. Context searches made from a lexicon's list are relative to that specific lexicon not the currently loaded lexicon.

There is also a third box in the middle containing words common to both lexicons. The only context menu option available in this box is the ability to save the list to a file. Sorting defaults to word length, then alphabetical.

Another option for comparing lexicons is to use the Query and Search for All Words (in the currently loaded lexicon) except words in a different lexicon.


Untitled Document

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Home
  • Contents
  • Tools
  • Next

Tools

Options

Display Settings

Subject List Editor

Compare Lexicons

Word Judge

Copyright © 2020 Dana Bell


Hoot - Named List Editor

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Tools
  • Subject List Editor
  • Next

Subject List Editor

With the subject list editor you can add your own lists to the program. When creating a list you can import words from a text file. You can also import words from additional files. The list in not cleared when selecting a new file. During the editing process, you can select and delete words.

You can also type your own words in the Add My Words box. You can even mark and drag a list of words into the My Words box. Note that this box only adds the first word in a line, or a shortcut word phrase (see below). Anything following the first space is ignored and any word with punctuation is ignored.

When Hoot processes the words, they are separated into words that are in the dictionary and those that aren't. All words entered here are added to the saved list, but only valid words for the current lexicon are displayed during searches and slide shows.

You can also edit an existing subject list. You can load the list in the editor, or select Edit while displaying a list. View the list, and then select Edit at the bottom right hand of the screen. You can also delete existing lists. That option is at the lower right hand of the screen.

Word lists are displayed on the left. List information is on the right. Subject list information includes a category, author, source, credits, and description. If not changed lists are in the category "Uncategorized". That is the classification of existing subject lists. The category editor is also accessible from this window.

Widen the window to widen the information boxes and provide additional information. Only the description field will take more than 255 characters. There are two clear buttons on the page. Clear list clears the list information. Clear or Clear words clears the lists of words.

Note that while you can add/delete words when creating a new list there currently is no way to delete the words after they have been added to the list and the list has been saved. You can create a new list from the words displayed and edited, by clearing the list and entering new list information before saving.

Export List will save the list as a text file. While the Subject list display allows you to Save List, that only includes words that are in the lexicon. From this editor, all words in the list are saved to the file whether part of the current lexicon or not. This is how you would share your lists with others. See the Tip below.

Note: There is a delay when this form first opened because it loads the complete dictionary for processing. Subsequent searches are quicker.

Format

Hoot reads text files in two different modes. By selecting one word per line, Hoot only reads the first word of each line so a text file that includes definitions following will simply ignore the definitions as long as the first word is followed by white space (space, tab). You can also select to read all words in the file. Words will be separated based on white space separaters. In either case Hoot recognizes a shortcut display of words that shows extensions in parenthesis. ACTUALISE(S,D,/ING) is one example. Please see the Text file section for more details.

Tip

If you are creating your own subject lists, keep in mind that Hoot filters the list based on the lexicon. Instead of cross-referencing terms with the lexicon, you can include them all. Even though some of the subject words may not appear in the current lexicon, if you include them now, then when the lexicon accepts the word as valid it will be included in the list display. So, if you find a list from the larger lexicon like CSW15 (or SOWPODS), you can include all of those words and when you are studying the OWL3 lexicon, you will only see the valid OWL3 words.

Subject lists are all over the Internet. One good source for word lists is the ABSP at http://www.absp.org.uk/. They have an enormous collection of lists. While the CSW may have many words that are not in your selected lexicon, only those in your lexicon will be shown in a Subject List search.

Category Editor

There is also a category editor under the Tools tab that you can use to add categories for subject lists.


Hoot - Add Definitions

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Settings
  • Add Definitions
  • Next

Add Definitions

Hoot enables the addition of custom definitions in the database. A collection of brief definitions is included in the distributed Hoot database. Before adding definitions, make a backup or copy of the database file. If the dictionary file is poorly formatted multiple attempts to add the definitions will add words or definitions to the database that can't easily be removed.

Access the Add Definitions utility from the Settings tab.

From the Add Definitions screen, select the dictionary file and then give it a title. You should also select a language because the definition will only be shown in lexicons that have the same language specified. You can use any characters but typically languages are two letter abbreviations and would include English (en), French (fr), Spanish (es), German (de), and Italian (it).

Hoot reads a plain text file in one of two formats.

  • One Per Line:
    Reads each line and assigns the line to the first word in the line as the definition. Hoot accepts entries in shortcut format ( WANT(S,ED,ING,ER,ERS) ) and assigns the same definition to each word using the primary word in the definition.
  • Tab and Spaces:
    Each line in the file will contain one or more words separated by spaces, then a tab, and then the definition that will apply to each of those words. This is the definition format that Mike Wolfberg uses in his definition file and that the NAWL 2018 definitions file uses.

Lookup

There is a test function at the bottom of this screen that allows you to lookup a definition. Simply enter the word and press Lookup and the definition will be displayed in the progress box. If multiple definitions have been added for a word they will be shown by this Lookup.


Untitled Document

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Home
  • Contents
  • Settings
  • Next

Settings

Databases

Lexicon Creator

Lexicon Editor

Add Definitions

Copyright © 2020 Dana Bell


Hoot - Contact

      • Query
      • Patterns
      • Other Searches
    • Settings
      • Lexicons
      • Lexicon Creator
      • Compare Lexicons
      • Tools
      • Subject List Editor
      • Add Definitions
      • Settings
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Contact

Contact

Use this form to submit ideas, report problems, or ask questions about Hoot.

Your Name:

Your Email:

Message:*

To help prevent automated spam, please answer this question *

Using only numbers, what is 8 times 3?

Copyright © 2017 Dana Bell


Untitled Document

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Home
  • Contents
  • Next

Contents

Tools

  • Options

  • Display Settings

  • Subject List Editor

  • Compare Lexicons

  • Word Judge

Settings

  • Databases

  • Lexicon Creator

  • Lexicon Editor

  • Add Definitions

Website Home

  • Downloads

  • Links

Welcome

  • Background

  • Lexicons

  • Looking Ahead

Using Hoot

  • Ribbon

  • Searching with Hoot

  • Slide Shows

  • Quizzes

  • Context Menus

  • Word Judge

Searches

Combination

Predefined Lists

  • Beginners

  • Special Lists

  • High Plays

  • French Lists

Query

Pattern Reference

Other Searches

  • Subject Lists

  • Text File Lists

  • Letter Studies

  • Stems

  • Front and Back

Copyright © 2016 Dana Bell


Hoot - Databases

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Settings
  • Databases
  • Next

Databases

The Settings window is where you select the database source, backup and manage multiple databases, and modify lexicons.

Database Selection

Hoot Lite uses a SQLite version 3 database. In new installations, Hoot includes the database in Program Files and makes a copy of it in the Hoot folder in MyDocuments. Users also have the ability to select an alternate database. The database must have the proper tables in order for Hoot to be able to read it. If the database doesn't load properly for some reason, Hoot will attempt to restore the original database connection. You can also restore the default database distributed with the program. In order to restore the original database connection manually, you can run the program with the commandline option "/restore". Ideally the user would copy the existing database to a different location and make modifications such as adding lexicons and subject lists in order to customize it.

Note: Hoot saves the location of the database you've selected to use. If a newer version includes a new database, it will be copied to Program Files, but will not be used until you select it or copy it to your selected location. Normally, you would use the same database and add new lexicons as desired.

Copy

The Database settings screen allows you to copy the current database to another location and then use it. This is important because the installed database cannot be edited because it is stored with the program. The alternate database can then be edited, adding other lexicons to the database. The default name for the Hoot database is Hoot.accdb or Hoot.mdb, but you can now use a different name as long as the extension is the same. In order to switch to the copied database immediately, check the Switch Now checkbox. Later versions automatically copy the database to the Hoot folder in the User's Documents folder.

I recommend using an alternate database. Using an alternate database means any changes you make are not overwritten by subsequent versions of Hoot. However, the alternate database will not include any improvements that might be made to the database, so you should save any source documents that you used to modify the database.

Backup

You can also make backups of the database. Backup filenaming defaults to including the date and time in the filespec. Backups can be saved in the Backups subfolder of your Hoot folder. Normally, this is Users\<User>\Documents\Hoot\Backups.

Compact

When adding and deleting large lexicons, data is only marked as deleted. In order to eliminate the marked data you can compact the database to save space. The Compact and Repair applies to the currently selected database. It is recommended that you backup the database before using Compact and Repair.

A Note on Database Switching

When a different database or lexicon is selected I try to refresh all data currently open search forms. If I've missed doing that on one, you would get erroneous results, To be on the safe side I suggest closing all forms before changing to a different database if possible. If you do encounter an error, please contact me.

Lexicon Administration

There are three options in the Lexicon Administration panel.

Create Lexicon

Create Lexicon is the tool used to create lexicons from a text file, or import a previously exported Hoot lexicon. Importing a lexicon is the quickest way to get a lexicon into Hoot. Creating lexicons from a text file can be time-consuming since they need to be configured for efficient searching. See the Lexicon Creator for more information.

Add Words
Drop Words

After you've created a lexicon you can now add words to or drop words from it. The option to index hooks, index inner hooks, etc. is not available yet. After you finish adding or dropping words, you will probably want to go to Configure Lexicons to configure the lexicon again.

Edit Details

When creating a lexicon from a text file, you may want to configure it to provide more information with the search. Configuration options include indexing hooks, inner hooks, adding probabilities, playability ratings, and counting anagrams. Some configuration may also been needed if you import a lexicon from a 1.x or 2.x version Hoot export file. See Lexicons.

Other Settings

Definitions can be imported into the database from one or more dictionary lists. There are imported and displayed based on the language of the lexicon. The Definitions section for more details

The Prefix and Suffix Editor is a simple editor to add or delete prefixes and suffixed available in the dropdown list in the Begin/End screen. Technically these are beginnings and endings, not always prefixed or suffixed to a list of words. These are also based on the language of the lexicon. (No separate page yet)


Hoot - Tools

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Tools
  • Display
  • Next

Display

Display

Basic display customizations are available here. This screen allows you to customize the program background, default text color, the button colors, the tile color, and the font to use in search results. The background color is also applied to the ribbon, and a darker version to the main program window. The tiles used in slide shows in Hoot is the font "NuTiles." You can choose another font for the tile in Settings, although there are very few Scrabble like fonts available. During Hoot development I discovered that the font "Scramble" that I used for tiles in Hoot in the past needs to be licensed. Note that the letter value on each tile of NuTiles is for English Scrabble.

When selecting a font for displaying words with hooks, a monospaced font is recommended to insure that the words align in the search results. When installed, Hoot uses Ubuntu Mono for hook displays. It's not that easy to spot monospaced fonts, so this list may be helpful. Most of these are either part of Windows or available as a free download.

  • Anonymous Pro
  • Courier
  • Courier New
  • Consolas
  • DejaVu Sans Mono
  • Fixedsys
  • Inconsolata
  • Letter Gothic Std
  • Liberation Mono
  • Lucida Console
  • Orator Std
  • Quicktype Mono
  • Source Code Pro

Hoot (actually Windows) remembers your selections between sessions and even after updating. There is a reset to set all colors back to the default. The design and color of buttons on the display settings screen itself are fixed and can't be changed. This may help when you've set the color on all items the same and can't see anything. Hoot also will not allow you to set text or tile the same color as the background.

There is a collection of color themes you can use for quick changes. Click on one of the samples and the colors are set accordingly. One of the themes draws from the user's Windows colors. After making any changes, remember to Save your settings.


Untitled Document

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Home
  • Contents
  • Introduction
  • Next

Introduction

Welcome

Background

Lexicons

Looking Ahead

Copyright © 2020 Dana Bell


Hoot - Tools

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Tools
  • Options
  • Next

Options

The Tools tab contains the tools and options you are most likely to use on a regular basis. This is where you can set user options, edit users, modify display settings, add subject lists, Manage subject list categories, and compare lexicons. The Word Judge tool is also included here, as well as in the program menu, and as a shortcut in the Start Menu. The less frequently used settings dealing with databases and lexicons are in the Settings tab, as is the forms for adding definitions (see Add Definitions), and the Prefix/Suffix Editor.

Options

Options include a set of user options, the known word manager, and the User editor. Some of the options are saved in a user config file and are reloaded each time you use Hoot. The Options window is divided into several sections.

Display Options

The Display Options include settings to enable/disable showing the welcome screen when starting, and showing Inner Hooks. The Welcome screen is helpful if you use more than one lexicon, database or tile set. If you are always studying the same database and lexicon you may want to disable the welcome screen. You can also do that on the Welcome screen itself.

Hoot provides inner hook indicators. An inner hook is a letter than can be removed from a word to form another word. The inner hook is indicated with a bullet on whatever end the inner hook is on. For example, the word ATE will be shown as ATE• indicating that the E can be removed to form the word AT. The word AHA is shown as •AHA• indicating that either the first letter or the last letter can be removed to form HA, AH respectively.

If Inner Hooks have not been indexed, hooks will be calculated on the fly and there may be a slight delay in showing results. Hoot defaults to having the option enabled since it doesn't cause much delay on English lexicons. Using the 360,000+ word French lexicon, however, will be slower and some users may want to disable it.

List Options

List Options include limits for results and word lengths. The list limits option allow you to limit the number of words shown in a list. While the default is not to limit words in a list, copyrighted lists may override this setting. This will generally not yet speed up searches with more limited number of words. You can also limit the length of words being returned in a search. The default is 15, but you can increase that to 21 for Super Scrabble™. You can also limit it to 9 or 10 as some dictionaries do. Words longer than 10 letters may not be of interest to you. Setting a smaller limit may also spend some of the longer searches.

Tile Sets

Hoot uses Tile sets to determine how to calculate probability and word score. Each tile set contains information about letter values and letter distribution. Hoot uses Tile sets selected here in two ways.

  • Dynamic display of raw word value
  • Probability rating

If the lexicon has been indexed with a different tileset, the probability will be overridden with the indexed value. If it is overriden it probably means the probability indexed were not calculated correctly. You should always make sure to select the correct tile set.

  • When adding probability indexes.
  • When loading lexicons.

Select User Folder

Hoot will normally install the database in the Hoot folder in the MyDocuments folder, and create a collection of subfolders for Searches, Lists, Lexicons, etc. Users have the option of selecting a different folder as the user folder. This is useful if you want to keep Hoot resources close to other study tools and resources.

Each time you specify a different folder, Hoot creates new subfolders for Lexicons, Lists, Searches, etc. in that User Folder. Hoot does not delete folders of previously designated user folders, or move files from one user folder to another. It is recommended that you title the base folder 'Hoot' to be better able to identify it in the future. While Hoot will create the necessary subfolders, it is up to the user to create the folder AND copy the database to that folder if desired. The user will also have to copy any previously saved Searches, Lists, Lexicons, etc. The option is saved as a part of the Windows user profile, not on a Hoot user basis.

History and Bookmarks

This section controls how Hoot handles Search History. Search History is limited to searches done through the Combination window. By default Saving Search History is on, and is limited to 100 searches. After that older searches are deleted. You can also manually compact the History folder or Clear History. The Bookmark feature has not yet been added.

Navigator

The navigator includes shortcuts links to open Windows Explorer to Program and User folders. If you are using multiple databases this can help you manage them. This also includes an option to display the Hoot log. Although entries are currently limited, they may eventually be used to track your use of Hoot in order to troubleshoot problems with the program. The New Log File button will delete all old entries and start a new log file.

Known Words Manager

The Known Words Manager enables the current user to edit his list of known words. This list applies to all lexicons in use, although you could user alternate users for different sets of known words or different databases. See the section on Slide Shows for more information about Known Word Management.

User Editor

The User editor allows you to add multiple users to the program. When a user has logged in, Hoot can save known words for future study. You can also use different user names in preparation for different tournaments or for different lexicon studies.

Card Management

The Card Management tool can be used to manipulate words in the cardbox quiz system. With it you can move cards and list, reschedule, and delete words and questions. You could also add/create lists from this tool. This tool is somewhat cluttered, so you can expect to see some changes here, although most users may never want or need to use it.

Technical

The cardbox databases are stored in the Cards folder of the Hoot user.

Display Settings

Basic display customizations are available. You can customize the program background, default text color, the button colors, the tile color, and the font to use in search results. See Display Settings.

Other Tools

Subject List Editor

The Subject List Editor is the tool to create customized lists. The Category Editor is a simple editor where you add categories you can use to categorize Subject Lists. This editor is also accessible from the Subject List Editor. See Subject List Editor for more information.

Word Judge

This word judge displays an screen to adjudicate Scrabble plays. See Word Judge for more information about how it is used.

Other Options

Other options are changed elsewhere. For quick access, the bottom of the main program window allows you to change

  • Display Language
  • User
  • Lexicon

A Note on Saved Settings

Hoot saves user settings in two ways, application settings and Hoot user settings. Application settings are saved for each Windows user. This includes the settings for the display, the database and lexicon selections, display language, and Tile Set. This also includes the last Hoot user ID. Hoot user settings are saved with the database. This primarily includes the Known Words list for each user and the User checklist.


Hoot - Search Summary

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Search Summary
  • Next

Searches

[ todo: update with additions]

This is a list of the individual searches available in Hoot.

Combination Search

Single screen access to multiple searches with multiple filters (see list below)

Query

Search options allowing specification of up to 8 lines of criteria from search options below.

Options mostly available in either Combination Search or Query

(Most links are to the description in Combination Search)

Letter Count - Lists by number of letters in the word. Can filter by initial letter

Contains Letters - Lists that contain any of the letters entered

Contains All Letters - Lists that contain all of the letters entered

Begins/Ends - List of words beginning or ending with a certain letter, prefix or suffix. Select from list or enter in box.

Anagrams - List of words that can be made by rearranging letters in the search term

Sub Anagrams - List of words formed by using letters in the search term

Super Anagrams - List of words formed by using all the letters in the search term, and adding other letters

Blank Anagrams - Superanagrams with only one additional letter

Hooks - List of words that can be formed by adding a letter to the front or back of a word

Anagram Hooks - List of words that can be formed by rearranging the letters in the search and adding a hook letter

Extensions - List of words that contain a certain word

SubWords - List of words found within a given word

Transpositions - List of words where two letters have been swapped to form a new word

Misspells - List of words where the term matches for all but one letter

Pattern - List of words that match a certain pattern

Compound - List of words formed from two other words of equal length. In Query you can specify lengths for front and back separately.

Three in One - List of words formed from three other words of equal length

Compound Anagram - List of words formed by search term and found anagram

Joins (previously Inserts) - List of words form by insert search term between two valid words

Stretches - List of words formed by inserting a letter in the search term.

Alternate Endings - List of words that take an alternate ending (Y, IER)

Probability - List of words with minimum probability selected (Query)

Optimum Playability - List of words with minimum optimum playability selected (Query)

Conjugate (fr) - List of words from a French ER, IR, RE conjugation

Predefined Lists

Beginners - Shortcut lists for Scrabble beginners (Predefined Lists)

Vowel Heavy - List of words with lots of vowels

Double I - Words with two I's

Double U - Words with two U's

No Vowel - List of words with no vowels

Consonant Dumps - List of words with lots of consonants

Q not U - List of words containing a Q, but not a U

Palindromes - List of words spelled the same frontward and backward.

High Plays - An assortment of searches using high value tiles.

French - Beginner lists tailored to French players

Pattern Reference

Other Search Options

Subject Lists - Custom lists or various subjects

Text File Lists - Custom lists saved in a text file.

Letter Studies - Searches based on a specific letter

Word Studies - Searches based on a specific word

Stems - List of words that can be rearranged after adding a letter to form several other words.

Front and Back - Searches that return two sets of results, such as front and back hooks, extensions, or parallel plays.

Word Judge - Judges word(s) for valid play

Lookup - Simple lookup of words in the current lexicon

Compare Lexicons - Though not in the standard list of searches, you can also search for words comparing two lexicons. That's available in the Settings > List Tools.


Untitled Document

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Home
  • Contents
  • Using Hoot
  • Next

Using Hoot

Windows

Ribbon

Searches

Slide Shows

Quizzes

Context Menus

Word Judge

Copyright © 2020 Dana Bell


Hoot - Word Studies

      • Query
      • Patterns
      • Other Searches
    • Tools
      • Tools
      • Display Settings
      • Compare Lexicons
      • Subject List Editor
    • Settings
      • Databases
      • Lexicons
      • Lexicon Creator
      • Add Definitions
    • Downloads
      • Downloads
      • Other Sites & Tools

HOOT

  • Contents
  • Home
  • Searches
  • Other Searches
  • Word Studies
  • Next

Word Studies

Word Studies is an expansion of the Letter Studies idea. This screen lets you do multiple searches on a single word. There are nine fixed searches and a tenth Custom search. The fixed searches include Anagrams, Blank Anagrams, Hooks, Joins, Extensions, Subwords, Misspells, Transpositions, and Stretches. Word studies are probably most valueable for high value words. XIS, for example can show alternate plays and ways to extend an prior play. Although this is for word studies, you can also enter a phoney or random letters, and find related words.

The custom search includes most of these search options and adds searches for Anagram Hooks, sub anagrams, super anagrams, and conjugation (for french studies). Each list can be selected and sorted from the ribbon. The word specs relate to the Custom search, although you can open other lists in a separate pop-up for additional displays/sorting options.

All search boxes include context menus that allow you to copy or save the list, or open in a separate window. Lists also respond to sort options in the ribbon.

The custom list also has a more detailed context menu enabled so you can do other searches or copy/save the list results. Selected words in this list also shows stats for that word. Since the size of the display of hooks can vary, I've enabled expansion of those lists, and added horizontal scroll bars. Simply widen the window to view the full width. There is no toggle to show hooks for the selected words.